var XnhdAPI;
(function (XnhdAPI) {
    var HudieLiteGameAPI;
    (function (HudieLiteGameAPI) {
        var Param = /** @class */ (function () {
            function Param() {
            }
            Param.appInfo = {
                gameName: "",
                gameId: "",
                gameKey: "",
                url: "https://game.batwan.cn/interface/login.php",
                // url: "https://my200.372124.com/api/login.php",
                baidu_appid: "",
                baidu_appkey: "",
                baidu_adSid: "",
                baidu_banner: "",
                baidu_video: ""
            };
            Param.loginInfo = {
                game_key: "",
                timestamp: "0",
                nonce: "",
                login_type: "0",
                ticket: "",
                game_url: "",
                signature: "",
            };
            Param.userInfo = {
                open_id: "",
                avatar: "",
                nickname: "",
                gender: "" //0 女, 1男
            };
            Param.shareInfo = {
                share_txt: [],
                share_img: []
            };
            Param.sbBdBtn = null;
            Param.loadingPage = null;
            Param.isUpdateLogin = false;
            Param.needToUpdateLogin = false;
            Param.callbackFunc = {
                onHideCB: null,
                onShowCB: null,
            };
            return Param;
        }());
        HudieLiteGameAPI.Param = Param;
        function setOnHideFunc(callback) {
            Param.callbackFunc.onHideCB = callback;
        }
        HudieLiteGameAPI.setOnHideFunc = setOnHideFunc;
        function setOnShowFunc(callback) {
            Param.callbackFunc.onShowCB = callback;
        }
        HudieLiteGameAPI.setOnShowFunc = setOnShowFunc;
        function init(hudieLiteGameConfig, callback) {
            Param.appInfo.gameName = hudieLiteGameConfig.gameName;
            Param.appInfo.gameId = hudieLiteGameConfig.gameId;
            Param.appInfo.gameKey = hudieLiteGameConfig.gameKey;
            Param.appInfo.baidu_appid = hudieLiteGameConfig.other.appid;
            Param.appInfo.baidu_appkey = hudieLiteGameConfig.other.appkey;
            Param.appInfo.baidu_adSid = hudieLiteGameConfig.other.appSid;
            Param.appInfo.baidu_banner = hudieLiteGameConfig.other.bannerAd;
            Param.appInfo.baidu_video = hudieLiteGameConfig.other.videoAd;
            Param.shareInfo.share_img = hudieLiteGameConfig.share_img;
            Param.shareInfo.share_txt = hudieLiteGameConfig.share_txt;
            Param.coreSDK = new hGame({
                "game_key": Param.appInfo.gameKey
            });
            swan.onError(function (error) {
                XnhdAPI.logError(error.message);
                XnhdAPI.Param.errorCallback && XnhdAPI.Param.errorCallback(error.message);
            });
            showXnhdLoading();
            Param.coreSDK.ready(function () {
                Param.coreSDK.loadingProgress(0);
                closeXnhdLoading();
                if (Param.appInfo.baidu_appid.length > 0) {
                    AdManager.Default.initAdManager();
                    swan.onHide(function () {
                        Param.callbackFunc.onHideCB && Param.callbackFunc.onHideCB();
                    });
                    swan.onShow(function () {
                        Param.callbackFunc.onShowCB && Param.callbackFunc.onShowCB();
                    });
                }
                callback && callback();
            });
        }
        HudieLiteGameAPI.init = init;
        function login(button, imageURL, callback) {
            if (!Param.isUpdateLogin) {
                var a = null;
                if (Param.appInfo.baidu_appid.length > 0 && Param.appInfo.baidu_appkey.length > 0) {
                    var buttonPos = button.localToGlobal(new Laya.Point(0, 0));
                    var authorizeStatus = false;
                    var device = swan.getSystemInfoSync(), skin = imageURL.length > 0 ? imageURL : button.skin;
                    var x = Math.floor(device.screenWidth * buttonPos.x / XnhdAPI.Param.screenWidth);
                    var y = Math.floor(device.screenHeight * buttonPos.y / XnhdAPI.Param.screenHeight);
                    var width = device.screenWidth * button.width / XnhdAPI.Param.screenWidth;
                    var height = device.screenWidth * button.height / XnhdAPI.Param.screenWidth;
                    var options = swan.getLaunchOptionsSync();
                    // a = {
                    //     query: options.query,
                    //     scene: options.scene,
                    //     forceLogin: true,
                    //     createLoginBtn: res => {
                    //         Param.sbBdBtn = swan.createUserInfoButton({
                    //             type: "image",
                    //             image: skin,
                    //             style: {
                    //                 left: x,
                    //                 top: y,
                    //                 width: width,
                    //                 height: height
                    //             }
                    //         })
                    //         Param.sbBdBtn.show();
                    //         return Param.sbBdBtn
                    //     }
                    // }
                    // Param.sbBdBtn = swan.createUserInfoButton({
                    //     type: "image",
                    //     image: skin,
                    //     style: {
                    //         left: x,
                    //         top: y,
                    //         width: width,
                    //         height: height
                    //     }
                    // })
                    a = {
                        query: options.query,
                        scene: options.scene,
                        forceLogin: false
                    };
                    Param.coreSDK.login(function (res) {
                        Param.loginInfo.game_key = res.game_key;
                        Param.loginInfo.timestamp = res.timestamp;
                        Param.loginInfo.nonce = res.nonce;
                        Param.loginInfo.login_type = res.login_type.toString();
                        Param.loginInfo.ticket = res.ticket;
                        Param.loginInfo.game_url = res.game_url;
                        Param.loginInfo.signature = res.signature;
                        getUserInfo(callback);
                    }, a);
                }
                else {
                    Param.coreSDK.login(function (res) {
                        Param.loginInfo.game_key = res.game_key;
                        Param.loginInfo.timestamp = res.timestamp;
                        Param.loginInfo.nonce = res.nonce;
                        Param.loginInfo.login_type = res.login_type.toString();
                        Param.loginInfo.ticket = res.ticket;
                        Param.loginInfo.game_url = res.game_url;
                        Param.loginInfo.signature = res.signature;
                        getUserInfo(callback);
                    });
                }
            }
        }
        HudieLiteGameAPI.login = login;
        function getUserInfo(callback) {
            // let a = "https://gc.hgame.com/user/getticketuserinfo";
            // let arr: string[][] = [];
            // arr.push(["timestamp", Date.now().toString()]);
            // arr.push(["game_key", Param.loginInfo.game_key]);
            // arr.push(["login_ticket", Param.loginInfo.ticket]);
            // arr.push(["nonce", "Rvupe3WNnjQZmqMO"]);
            // arr.push(["login_type", Param.loginInfo.login_type]);
            // arr.sort((a, b) => {
            //     return a[0] > b[0] ? 1 : -1
            // })
            // let sha1 = "";
            // for (let k = 0; k < arr.length; k++) {
            //     sha1 += arr[k][0] + "=" + arr[k][1] + "&"
            // }
            // let k = sha1.substr(0, sha1.length - 1) + Param.appInfo.gameSecret;
            // let signature = Encrypt.hex_sha1(k);
            XnhdAPI.requestHttp(Param.appInfo.url, function (res) {
                if (res && res.length > 0) {
                    try {
                        res = JSON.parse(res);
                        if (typeof res.code === "number" && res.code === 0) {
                            Param.userInfo.open_id = res.data.open_id;
                            Param.userInfo.avatar = res.data.avatar;
                            Param.userInfo.nickname = res.data.nickname;
                            Param.userInfo.gender = res.data.gender;
                            destroyBtnWithAuthorize();
                            Param.sbBdBtn && callback && (callback(), Param.sbBdBtn = null);
                            update_login(false);
                        }
                    }
                    catch (e) { }
                }
            }, JSON.stringify({
                game_key: Param.appInfo.gameKey,
                login_type: Param.loginInfo.login_type,
                login_ticket: Param.loginInfo.ticket
            }));
        }
        function shareImage(_param, successCallback, failCallback) {
            typeof _param != "string" && (_param = "");
            var shareData = {
                open_id: Param.userInfo.open_id,
                game_key: Param.appInfo.gameKey,
                timestamp: "1234567890",
                signature: "thisisansignnature",
                title: Param.appInfo.gameName,
                message: Param.shareInfo.share_txt[0],
                imgUrl: Param.shareInfo.share_img[0],
                url: Param.loginInfo.game_url,
                shareKey: _param,
                extend: {} //option, 这里是额外的参数，接入各平台不同
            };
            // shareData.shareKey = "xxxxx"; //游戏需要携带的信息
            //通过hgameSdk.getPlatform(function(d){console.log(d)}) 返回shareKey的值
            // var callback = function (result) {
            //     result.code     // 0: 表示成功，-1： 表示取消，其他<0: 表示失败
            //     result.message      // 错误描述
            //     result.showMessage  // 用于显示用的错误信息，如果没有showMessage, 将使用message来显示
            //     result.data         // 返回数据
            // }
            Param.coreSDK.share(shareData, function (res) {
                if (typeof res.code === "number" && res.code === 0) {
                    successCallback && successCallback();
                }
                else {
                    failCallback && failCallback();
                }
            });
        }
        HudieLiteGameAPI.shareImage = shareImage;
        function setLoadingProgress(num) {
            Param.coreSDK.loadingProgress(num);
        }
        HudieLiteGameAPI.setLoadingProgress = setLoadingProgress;
        function update_login(startGame) {
            startGame && (Param.needToUpdateLogin = true);
            if (!Param.isUpdateLogin && Param.needToUpdateLogin && Param.userInfo.open_id.length > 0) {
                if (Param.userInfo.open_id.length) {
                    Param.isUpdateLogin = true;
                    var a = XnhdAPI.readDataFromCache("FirstLogin", true);
                    typeof a != "number" && (a = 1);
                    var loginBaseData = {
                        "game_key": Param.appInfo.gameKey,
                        "open_id": Param.userInfo.open_id,
                        "role": Param.userInfo.open_id,
                        "nickname": "",
                        "area": "HOODINN",
                        "group": "1" //游戏服务器标志
                    };
                    var loginExtendData = {
                        "level": 0,
                        "vipLevel": 0,
                        "score": core.GameDef.maxScore,
                        "isNew": a,
                        "shareRole": 0,
                    };
                    Param.coreSDK.gameReport("enterGame", loginBaseData, loginExtendData, function (res) {
                        XnhdAPI.saveDataToCache("FirstLogin", 0, true);
                        XnhdAPI.logDebug(JSON.stringify(res));
                    });
                }
            }
        }
        HudieLiteGameAPI.update_login = update_login;
        function reportBdAnalytics(eventName, data) {
            if (Param.appInfo.baidu_appid.length > 0) {
                XnhdAPI.logDebug("上报" + eventName + "数据：" + JSON.stringify(data));
                swan.reportAnalytics(eventName, data);
            }
        }
        HudieLiteGameAPI.reportBdAnalytics = reportBdAnalytics;
        function showXnhdLoading() {
            var imgWel = new Laya.Image("unpack/Loading.png");
            imgWel.name = "HudieLoading";
            imgWel.zOrder = 10;
            imgWel.centerX = 0;
            imgWel.centerY = 0;
            Laya.stage.addChild(imgWel);
        }
        function closeXnhdLoading() {
            var loadingImg = Laya.stage.getChildByName("HudieLoading");
            loadingImg && loadingImg.destroy();
        }
        function hideBtnWithAuthorize() {
            Param.sbBdBtn && Param.sbBdBtn.hide();
        }
        HudieLiteGameAPI.hideBtnWithAuthorize = hideBtnWithAuthorize;
        function destroyBtnWithAuthorize() {
            Param.sbBdBtn && (Param.sbBdBtn.destroy(), XnhdAPI.logDebug("销毁bdBtn。"));
        }
        HudieLiteGameAPI.destroyBtnWithAuthorize = destroyBtnWithAuthorize;
        function showBtnWithAuthorize() {
            Param.sbBdBtn && Param.sbBdBtn.show();
        }
        HudieLiteGameAPI.showBtnWithAuthorize = showBtnWithAuthorize;
        // function createBtnWithAuthorize(button: Laya.Button, imageURL: string, successCallback, failCallback) {
        //     if (Param.appInfo.baidu_appid.length) {
        //         let buttonPos: Laya.Point = button.localToGlobal(new Laya.Point(0, 0))
        //         let authorizeStatus = false;
        //         let device = swan.getSystemInfoSync(), x = buttonPos.x, y = buttonPos.y, width = button.width, height = button.height, skin = imageURL.length > 0 ? imageURL : button.skin;
        //         if (Param.sbBdBtn === null) {
        //             try {
        //                 x = Math.floor(device.screenWidth * x / XnhdAPI.Param.screenWidth);
        //                 y = Math.floor(device.screenHeight * y / XnhdAPI.Param.screenHeight);
        //                 width = device.screenWidth * width / XnhdAPI.Param.screenWidth;
        //                 height = device.screenWidth * height / XnhdAPI.Param.screenWidth;
        //                 Param.sbBdBtn = swan.createUserInfoButton({
        //                     type: "image",
        //                     image: skin,
        //                     style: {
        //                         left: x,
        //                         top: y,
        //                         width: width,
        //                         height: height
        //                     }
        //                 })
        //                 Param.sbBdBtn.hide();
        //                 // login(Param.sbBdBtn);
        //             } catch (e) {
        //                 XnhdAPI.logError(e)
        //             }
        //         }
        //     }
        // }
        var AdManager = /** @class */ (function () {
            function AdManager() {
                this._bannerAd = null;
                this._videoAd = null;
                this._bannerReady = false;
                this._bannerNotshow = true;
                this._bannerTop = XnhdAPI.Param.screenHeight;
                this._videoReady = false;
                this._videoFailCode = 3010003;
            }
            AdManager.prototype.initAdManager = function () {
                var info = swan.getSystemInfoSync();
                this.adScreenWidth = info.screenWidth;
                this.adScreenHeight = info.screenHeight;
                this._bannerTop = Math.floor(1624 / (750 / this.adScreenWidth * this.adScreenHeight) * this.adScreenHeight);
                this.initBanner();
                this.initVideo();
                Laya.timer.frameLoop(10800, this, this.baiduBannerLoop);
            };
            AdManager.prototype.baiduBannerLoop = function () {
                this.destroyBannerAd();
                Laya.timer.frameOnce(60, this, this.initBanner);
            };
            AdManager.prototype.initBanner = function (lag) {
                var _this = this;
                if (lag === void 0) { lag = 1; }
                if (Param.appInfo.baidu_banner.length > 5) {
                    var leftDistance = this.adScreenWidth * 0.075;
                    if (this.adScreenWidth * 0.85 < 300) {
                        leftDistance = (this.adScreenWidth - 300) / 2;
                    }
                    try {
                        this._bannerAd = swan.createBannerAd({
                            adUnitId: Param.appInfo.baidu_banner,
                            appSid: Param.appInfo.baidu_adSid,
                            style: {
                                left: Math.floor(leftDistance),
                                top: this._bannerTop,
                                width: Math.floor(this.adScreenWidth * 0.85)
                            }
                        });
                        this._bannerAd.onLoad(function () {
                            _this._bannerReady = true;
                            if (_this._bannerNotshow) {
                                _this._bannerNotshow = false;
                                _this._bannerAd.show();
                            }
                        });
                        this._bannerAd.onError(function (f) {
                            _this._bannerReady = false;
                            _this._bannerNotshow = true;
                            XnhdAPI.logError("load WxLiteGameBannerAd fail, errMsg >> " + JSON.stringify(f));
                            _this._bannerAd.offError();
                            _this._bannerAd.offLoad();
                            _this._bannerAd.destroy();
                            Laya.timer.once(lag * 500, _this, _this.initBanner, [lag * 2]);
                        });
                    }
                    catch (e) {
                        Laya.timer.once(lag * 500, this, this.initBanner, [lag * 2]);
                    }
                }
            };
            AdManager.prototype.showBannerAd = function (top) {
                var _this = this;
                this._bannerTop = Math.floor(top / (750 / this.adScreenWidth * this.adScreenHeight) * this.adScreenHeight);
                if (this._bannerReady) {
                    if (this._bannerNotshow) {
                        this._bannerNotshow = false;
                        this._bannerAd.show();
                    }
                    Laya.timer.frameOnce(1, this, function () { _this._bannerAd.style.top = _this._bannerTop; });
                }
            };
            AdManager.prototype.hideBannerAd = function () {
                this._bannerNotshow = true;
                if (this._bannerReady) {
                    this._bannerAd.hide();
                }
            };
            AdManager.prototype.destroyBannerAd = function () {
                if (this._bannerAd != null) {
                    try {
                        this._bannerAd.offError();
                        this._bannerAd.offLoad();
                        this._bannerAd.destroy();
                        this._bannerAd = null;
                        this._bannerReady = false;
                        this._bannerNotshow = true;
                    }
                    catch (e) {
                        XnhdAPI.logDebug("error: position: destroyWxLiteGameBannerAd >>" + e.toString());
                    }
                }
            };
            AdManager.prototype.initVideo = function () {
                var _this = this;
                this._videoFailCode = 3010003;
                if (Param.appInfo.baidu_video.length > 5) {
                    try {
                        if (this._videoAd != null) {
                            this._videoAd.destroy();
                        }
                        this._videoAd = swan.createRewardedVideoAd({
                            adUnitId: Param.appInfo.baidu_video,
                            appSid: Param.appInfo.baidu_adSid,
                        });
                    }
                    catch (e) {
                        XnhdAPI.logError("create videoAd fail, wxgameBug");
                        if (this._videoAd != null) {
                            this._videoAd.destroy();
                            this._videoAd = null;
                        }
                        Laya.timer.once(500, this, this.initVideo);
                        return;
                    }
                    try {
                        this._videoAd.onLoad(function () {
                            _this._videoReady = true;
                            _this._videoFailCode = 0;
                        });
                        this._videoAd.onError(function (f) {
                            _this._videoReady = false;
                            XnhdAPI.logError("Load videoAd fail, errMsg >> " + +JSON.stringify(f));
                            _this._videoFailCode = f.errCode;
                            if (typeof f.errCode === "number") {
                                if ([3010000, 3010001, 3010002, 3010003].indexOf(f.errCode) > -1) {
                                    Laya.timer.once(5000, _this, function () {
                                        _this._videoAd.load();
                                    });
                                }
                            }
                            else {
                                Laya.timer.once(5000, _this, function () {
                                    _this._videoAd.load();
                                });
                            }
                        });
                    }
                    catch (e) {
                        XnhdAPI.logError("videoAd fail, bdgameBug");
                        Laya.timer.once(500, this, this.initVideo);
                        return;
                    }
                }
            };
            AdManager.prototype.getVideoStatus = function () {
                return this._videoFailCode;
            };
            AdManager.prototype.showVideoAd = function (successCallback, failCallback) {
                var _this = this;
                if (this._videoReady) {
                    this._videoReady = false;
                    this._videoFailCode = 3010003;
                    this._videoAd.onClose(function (res) {
                        if (res === undefined || (res && res.isEnded)) {
                            successCallback && successCallback();
                        }
                        else {
                            failCallback && failCallback("sbBD");
                        }
                        _this._videoAd.offClose();
                    });
                    this._videoAd.show();
                }
                else {
                    failCallback && failCallback();
                }
            };
            AdManager.Default = new AdManager();
            return AdManager;
        }());
        HudieLiteGameAPI.AdManager = AdManager;
    })(HudieLiteGameAPI = XnhdAPI.HudieLiteGameAPI || (XnhdAPI.HudieLiteGameAPI = {}));
})(XnhdAPI || (XnhdAPI = {}));
//# sourceMappingURL=HudieLiteGameAPI.js.map