var XnhdAPI;
(function (XnhdAPI) {
    var XiaomiWebGameAPI;
    (function (XiaomiWebGameAPI) {
        var Param = /** @class */ (function () {
            function Param() {
            }
            Param.appInfo = {
                appId: '',
            };
            Param.userInfo = {
                userId: 0,
                userName: '',
                userImage: '',
                appAccountId: 0,
                session: '',
            };
            return Param;
        }());
        function init(XiaomiGameConfig, callback) {
            window.hy_dj_sdk.ready({
                zIndex: 100001,
                pin: 0
            }, function () {
                callback && callback();
                //暂时不处理登录相关内容
                addMIEvent();
            });
        }
        XiaomiWebGameAPI.init = init;
        function showVideoAd(successCallback, failCallback) {
            hy_ad_sdk.playVideoAd(function (code) {
                // 这里是播放完广告的回调执行
                code == 0 ? successCallback && successCallback() : failCallback && failCallback();
            });
        }
        XiaomiWebGameAPI.showVideoAd = showVideoAd;
        /*
         * @description 小米处理声音事件
         * @params null
         * @return null
         */
        function addMIEvent() {
            var visibilityChange;
            if (typeof document.hidden !== 'undefined') {
                visibilityChange = 'visibilitychange';
            }
            else if (typeof document.webkitHidden !== 'undefined') {
                visibilityChange = 'webkitvisibilitychange';
            }
            document.addEventListener(visibilityChange, function () {
                var isHidden = document.hidden;
                // 页面处于隐藏状态
                if (isHidden) {
                    //暂停播放
                    core.AudioAndSetting.Manager.stopAll();
                }
                else {
                    //开始播放
                    core.AudioAndSetting.Manager.playMusic();
                }
            }, false);
            //小米jsbridge 处理 屏幕显示
            document.addEventListener('JsBridgeResume', function () {
                //开始播放
                core.AudioAndSetting.Manager.playMusic();
            });
            //小米jsbridge 处理 息屏
            document.addEventListener('JsBridgePause', function () {
                core.AudioAndSetting.Manager.stopAll();
            });
        }
    })(XiaomiWebGameAPI = XnhdAPI.XiaomiWebGameAPI || (XnhdAPI.XiaomiWebGameAPI = {}));
})(XnhdAPI || (XnhdAPI = {}));
//# sourceMappingURL=XiaomiWebGameAPI.js.map