var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var view;
(function (view) {
    var overLayer = /** @class */ (function (_super) {
        __extends(overLayer, _super);
        function overLayer(parent) {
            var _this = _super.call(this) || this;
            _this.UIAdjust();
            parent.addChild(_this);
            _this.platNodeInit();
            XnhdAPI.saveDataToCache(core.GameDef.isRank ? "RankData" : "GameData", "");
            Laya.Tween.to(_this.middleZone, { scaleX: 1, scaleY: 1 }, 300);
            _this.closeBtn.on(Laya.Event.CLICK, _this, function () {
                core.SceneManager.Default.ShowScene(core.GameScene.MAINSCENE);
            });
            _this.backMainBtn.on(Laya.Event.CLICK, _this, function () {
                core.SceneManager.Default.ShowScene(core.GameScene.MAINSCENE);
            });
            _this.restartBtn.on(Laya.Event.CLICK, _this, function () {
                if (core.GameDef.isRank) {
                    if (core.Player.Manager.getCoinNum() > 99) {
                        core.Player.Manager.adjustCoinNum(-100);
                        core.SceneManager.Default.ShowScene(core.GameScene.GAMESCENE);
                    }
                    else {
                        new view.LackOfGold(_this, function () {
                        });
                    }
                }
                else {
                    core.SceneManager.Default.ShowScene(core.GameScene.GAMESCENE);
                }
            });
            return _this;
        }
        overLayer.prototype.UIAdjust = function () {
            // let k = XnhdAPI.Param.screenHeight - 1334;//1624-1334 = 290
            // let ratio = k / (1624 - 1334);
            this.middleZone.y = Math.floor(XnhdAPI.Param.screenHeight / 2);
            this.middleZone.scale(0, 0);
            var l = core.GameDef.localizationConfig;
            var li = core.GameDef.languageIndex;
            this.titleTxt.text = l.GameOverView.title[li];
            this.backMainTxt.text = l.GameOverView.backMain[li];
            this.restartTxt.text = l.GameOverView.restart[li];
            if (core.GameDef.isRank) {
                this.coinImg.visible = true;
            }
            else {
                this.restartTxt.y = 80;
            }
        };
        overLayer.prototype.platNodeInit = function () {
            XnhdAPI.hideBannerAd();
            XnhdAPI.showInterstitialAd(null, null);
            if (XnhdAPI.Param.platType === 2 && XnhdAPI.Param.channelType === 1) {
                // XnhdAPI.showSmallRankList(this.smallRankListZone);
                // this.btnShare.on(Laya.Event.CLICK, this, () => {
                //     XnhdAPI.shareImage(false, 3)
                // });
                // this.btnShare.visible = true;
                // this.btnRankView.on(Laya.Event.CLICK, this, this.showRanklist);
                // WxLiteGameAPI.AdManager.Default.showCrazyMoreGame(this.middleEliPos);
                // WxLiteGameAPI.AdManager.Default.adjustCrazyMoreGame(this.btnTuoluo);
                // XnhdAPI.XnhdWxPush.showBigBanner(this.bigBanner, false);
                return;
            }
            XnhdAPI.showBannerAd(XnhdAPI.Param.screenHeight - 220);
        };
        overLayer.prototype.restartGame = function () {
            this.platNodeDestroy();
            core.SceneManager.Default.ShowScene(core.GameScene.GAMESCENE);
        };
        overLayer.prototype.platNodeDestroy = function () {
        };
        return overLayer;
    }(ui.Layer.OverLayerUI));
    view.overLayer = overLayer;
})(view || (view = {}));
//# sourceMappingURL=overLayer.js.map