var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var view;
(function (view) {
    var renewLayer = /** @class */ (function (_super) {
        __extends(renewLayer, _super);
        function renewLayer(parent, video, closeCallback) {
            var _this = _super.call(this) || this;
            _this._videoSwitch = true;
            _this.UIAdjust();
            _this.videoImg.visible = video;
            _this._closeCallback = closeCallback;
            parent.addChild(_this);
            _this.useBtn.on(Laya.Event.CLICK, _this, function () {
                if (_this.videoImg.visible) {
                    if (XnhdAPI.checkVideoAd() === 3) {
                        _this._videoSwitch = false;
                        XnhdAPI.showVideoAd(function () {
                            _this._closeCallback && _this._closeCallback(true);
                            _this.destroy();
                        }, function (f) {
                            _this._videoSwitch = true;
                        });
                    }
                    else {
                        XnhdAPI.showTips(core.GameDef.localizationConfig.noVideoTips[core.GameDef.languageIndex]);
                    }
                }
                else {
                    _this._closeCallback && _this._closeCallback(true);
                    _this.destroy();
                }
            });
            _this.giveUpBtn.on(Laya.Event.CLICK, _this, function () {
                _this._closeCallback && _this._closeCallback(false);
                _this.destroy();
            });
            _this.closeBtn.on(Laya.Event.CLICK, _this, function () {
                _this._closeCallback && _this._closeCallback(false);
                _this.destroy();
            });
            return _this;
        }
        renewLayer.prototype.UIAdjust = function () {
            var k = XnhdAPI.Param.screenHeight - 1334; //1624-1334 = 290
            var ratio = k / (1624 - 1334);
            ratio < 0 && (ratio = 0);
            this.blackBg.height = XnhdAPI.Param.screenHeight;
            this.container.y = XnhdAPI.Param.screenHeight / 2;
            var l = core.GameDef.localizationConfig;
            var i = core.GameDef.languageIndex;
            this.tittleTxt.text = l.renewLayer.title[i];
            this.tips.text = l.renewLayer.tips[i];
            this.useBtn.getChildAt(1).text = l.renewLayer.useBtn[i];
            this.giveUpBtn.getChildAt(0).text = l.renewLayer.giveUpBtn[i];
        };
        return renewLayer;
    }(ui.Layer.renewLayerUI));
    view.renewLayer = renewLayer;
})(view || (view = {}));
//# sourceMappingURL=renewLayer.js.map