var View = laya.ui.View;
var Dialog = laya.ui.Dialog;
var ui;
(function (ui) {
    var Comp;
    (function (Comp) {
        class cardUnitUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Comp.cardUnitUI.uiView);
            }
        }
        cardUnitUI.uiView = { "type": "View", "props": { "width": 204, "height": 278 }, "child": [{ "type": "Image", "props": { "y": 139, "x": 102, "width": 204, "var": "cardColor", "skin": "card/1_1.png", "height": 278, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": -38, "x": -39, "width": 280, "var": "cardEff", "skin": "card/kpty.png", "sizeGrid": "50,50,50,50", "height": 353 } }, { "type": "Image", "props": { "y": 0, "x": 0, "var": "cardSkin" } }] }] };
        Comp.cardUnitUI = cardUnitUI;
    })(Comp = ui.Comp || (ui.Comp = {}));
})(ui || (ui = {}));
(function (ui) {
    var Comp;
    (function (Comp) {
        class ranklistCompUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Comp.ranklistCompUI.uiView);
            }
        }
        ranklistCompUI.uiView = { "type": "View", "props": { "width": 550, "height": 120 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 550, "skin": "game/pmht.png", "sizeGrid": "10,10,10,10" } }, { "type": "Image", "props": { "y": 60, "x": 50, "var": "rankScoreBg", "skin": "game/rank_4.png", "pivotY": 32, "pivotX": 32 } }, { "type": "Label", "props": { "y": 60, "x": 50, "var": "rankScore", "text": "99", "fontSize": 36, "color": "#ffffff", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 60, "x": 150, "width": 100, "var": "avatar", "skin": "unpack/blank.jpg", "height": 100, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 60, "x": 210, "width": 202, "var": "playName", "text": "照理说应该可以有这么长", "overflow": "hidden", "height": 24, "fontSize": 24, "color": "#beac9d", "bold": true, "anchorY": 0.5 } }, { "type": "Label", "props": { "y": 60, "x": 480, "var": "playScore", "text": "9999999999", "fontSize": 24, "color": "#cf9c6b", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] };
        Comp.ranklistCompUI = ranklistCompUI;
    })(Comp = ui.Comp || (ui.Comp = {}));
})(ui || (ui = {}));
(function (ui) {
    var Comp;
    (function (Comp) {
        class store_bgUnitUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Comp.store_bgUnitUI.uiView);
            }
        }
        store_bgUnitUI.uiView = { "type": "View", "props": { "width": 226, "height": 370 }, "child": [{ "type": "Image", "props": { "y": 185, "x": 113, "width": 226, "var": "bg", "skin": "game/ldbjdb.png", "sizeGrid": "10,10,10,10", "height": 370, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 13, "x": 13, "width": 200, "var": "bgSkin", "skin": "unpack/bg/bj1.jpg", "height": 344 } }, { "type": "Image", "props": { "y": 13, "x": 13, "var": "lock", "skin": "game/sb.png" } }] }] };
        Comp.store_bgUnitUI = store_bgUnitUI;
    })(Comp = ui.Comp || (ui.Comp = {}));
})(ui || (ui = {}));
(function (ui) {
    var Comp;
    (function (Comp) {
        class store_stampUnitUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Comp.store_stampUnitUI.uiView);
            }
        }
        store_stampUnitUI.uiView = { "type": "View", "props": { "width": 204, "height": 278 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "var": "bg", "skin": "card/1_11.png" }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "var": "bgSkin", "skin": "unpack/stamp/hw0.png" } }] }] };
        Comp.store_stampUnitUI = store_stampUnitUI;
    })(Comp = ui.Comp || (ui.Comp = {}));
})(ui || (ui = {}));
(function (ui) {
    class GameViewUI extends View {
        constructor() {
            super();
        }
        createChildren() {
            super.createChildren();
            this.createView(ui.GameViewUI.uiView);
        }
    }
    GameViewUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "var": "bg", "skin": "unpack/bg/bj0.jpg" } }, { "type": "Box", "props": { "y": 145, "x": 0, "width": 750, "var": "gameArea", "height": 969 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 31, "width": 688, "skin": "game/yxymdk.png", "sizeGrid": "25,25,40,25", "height": 777 }, "child": [{ "type": "Image", "props": { "y": 690, "x": 340, "skin": "game/qxt.png", "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 730, "x": 340, "wordWrap": true, "width": 640, "var": "tipsText", "valign": "middle", "height": 48, "fontSize": 24, "color": "#4f565c", "bold": true, "anchorY": 0.5, "anchorX": 0.5, "align": "center" } }, { "type": "Image", "props": { "y": 867, "x": 596, "width": 154, "var": "readyCardZone", "skin": "game/cpk.png", "height": 204, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 129, "x": 77, "skin": "other/bftb.png", "name": "videoImg", "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": -30, "x": 38, "width": 100, "skin": "common/SprWhite.png", "height": 6, "anchorX": 0.5 } }] }, { "type": "Label", "props": { "y": 55, "x": 77, "var": "readyCardRemain", "text": "存牌x1", "fontSize": 24, "color": "#ffffff", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 102, "x": 77, "var": "saveCardBtn", "skin": "game/cpk.png", "anchorY": 0.5, "anchorX": 0.5, "alpha": 0.7 } }] }, { "type": "Image", "props": { "y": 876, "x": 300, "width": 204, "scaleY": 0.6, "scaleX": 0.6, "height": 278, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 867, "x": 400, "width": 204, "var": "nextCardZone", "scaleY": 0.67, "scaleX": 0.67, "height": 278, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 0, "x": 0, "width": 1, "visible": false, "var": "guideLayer", "height": 1 }, "child": [{ "type": "Image", "props": { "y": 385, "x": 60, "width": 300, "skin": "common/SprWhite.png", "height": 300 } }, { "type": "Label", "props": { "y": 535, "x": 210, "wordWrap": true, "width": 264, "var": "guideTips", "valign": "middle", "text": "您还有炸弹未使用，是否使用", "height": 264, "fontSize": 24, "color": "#404445", "bold": true, "anchorY": 0.5, "anchorX": 0.5, "align": "center" } }] }, { "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "var": "gameZone", "height": 969 }, "child": [{ "type": "Image", "props": { "y": 765, "x": 40, "width": 178, "var": "OmnipotentCardBtn", "skin": "game/wnanbj.png", "height": 100 }, "child": [{ "type": "Label", "props": { "y": 63, "x": 89, "text": "万能牌x1", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 36, "x": 127, "skin": "other/bftb.png", "scaleY": 0.8, "scaleX": 0.8, "name": "videoImg", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 36, "x": 46, "skin": "game/fhtb.png", "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 869, "x": 40, "width": 178, "var": "bombBtn", "skin": "game/tsandb.png", "sizeGrid": "17,17,24,17", "height": 100 }, "child": [{ "type": "Label", "props": { "y": 63, "x": 89, "text": "全屏炸弹x1", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 32, "x": 127, "skin": "other/bftb.png", "scaleY": 0.8, "scaleX": 0.8, "name": "videoImg", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 34, "x": 46, "skin": "game/qpzdtb.png", "scaleY": 0.6, "scaleX": 0.6, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 110, "x": 134, "skin": "game/fpwzk.png", "name": "back_1", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": -37, "x": -37, "width": 209, "visible": false, "skin": "card/kpfg.png", "sizeGrid": "50,50,50,50", "height": 259 } }] }, { "type": "Image", "props": { "y": 110, "x": 294, "skin": "game/fpwzk.png", "name": "back_2", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": -37, "x": -37, "width": 209, "visible": false, "skin": "card/kpfg.png", "sizeGrid": "50,50,50,50", "height": 259 } }] }, { "type": "Image", "props": { "y": 110, "x": 454, "skin": "game/fpwzk.png", "name": "back_3", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": -37, "x": -37, "width": 209, "visible": false, "skin": "card/kpfg.png", "sizeGrid": "50,50,50,50", "height": 259 } }] }, { "type": "Image", "props": { "y": 110, "x": 614, "skin": "game/fpwzk.png", "name": "back_4", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": -37, "x": -37, "width": 209, "visible": false, "skin": "card/kpfg.png", "sizeGrid": "50,50,50,50", "height": 259 } }] }, { "type": "Image", "props": { "y": 772, "x": 552, "width": 150, "var": "test1", "skin": "game/wnanbj.png", "height": 200, "alpha": 0 }, "child": [{ "type": "Label", "props": { "y": 63, "x": 89, "text": "万能牌x5", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 36, "x": 127, "skin": "other/bftb.png", "scaleY": 0.8, "scaleX": 0.8, "name": "videoImg", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 36, "x": 46, "skin": "game/fhtb.png", "anchorY": 0.5, "anchorX": 0.5 } }] }] }, { "type": "Image", "props": { "y": 551, "x": 468, "visible": false, "var": "hand", "skin": "game/shoutishi.png", "scaleY": 1.5, "scaleX": 1.5 } }] }, { "type": "Box", "props": { "y": 0, "x": 0, "width": 750, "var": "topZone", "height": 145 }, "child": [{ "type": "Image", "props": { "y": 5, "x": 5, "width": 120, "var": "pauseBtn", "height": 120 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 48, "width": 68, "skin": "game/zttb.png", "height": 73 } }] }, { "type": "Image", "props": { "y": 83, "x": 32, "width": 160, "skin": "game/jbht.png", "height": 50 }, "child": [{ "type": "Image", "props": { "y": -5, "x": -20, "width": 60, "skin": "game/jbtb.png", "height": 60 } }, { "type": "Label", "props": { "y": 24, "x": 99, "var": "coinText", "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Label", "props": { "y": 84, "x": 712, "var": "highScoreText0", "text": "最高", "fontSize": 30, "color": "#ffffff", "cacheAs": "bitmap", "bold": true, "anchorY": 0.5, "anchorX": 1, "alpha": 0.8 } }, { "type": "Label", "props": { "y": 118, "x": 712, "var": "highScoreText", "text": "444444", "fontSize": 30, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 1, "alpha": 0.8 } }, { "type": "Label", "props": { "y": 36, "x": 375, "var": "levelText", "text": "第3关：合成512", "strokeColor": "#497b8d", "stroke": 4, "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 0, "x": 145, "width": 90, "visible": false, "var": "startVideoBtn", "height": 90 }, "child": [{ "type": "Image", "props": { "y": -10, "x": 0, "width": 90, "skin": "game/startVideo.png", "height": 80 } }, { "type": "Label", "props": { "y": 56, "x": -2, "text": "开始录屏", "fontSize": 25, "color": "#f4f3df", "bold": true } }] }, { "type": "Image", "props": { "y": 0, "x": 145, "width": 90, "visible": false, "var": "stopVideoBtn", "height": 90 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 14, "width": 60, "skin": "game/stopVideo.png", "height": 60 } }, { "type": "Label", "props": { "y": 56, "x": -2, "text": "停止录屏", "fontSize": 25, "color": "#f4f3df", "bold": true } }] }] }] };
    ui.GameViewUI = GameViewUI;
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class LackOfGoldUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Layer.LackOfGoldUI.uiView);
            }
        }
        LackOfGoldUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "skin": "common/SprBlack.png", "height": 1624, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 700, "x": 375, "width": 660, "var": "middleZone", "skin": "unpack/fymdbbs.png", "sizeGrid": "30,30,30,30", "height": 650, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 12, "x": 15, "width": 630, "skin": "game/btk.png", "sizeGrid": "0,100,0,100", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 542, "width": 88, "var": "closeBtn", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 33, "x": 21, "skin": "game/gban.png" } }] }, { "type": "Label", "props": { "y": 50, "x": 315, "var": "titleTxt", "text": "再接再厉", "fontSize": 60, "color": "#578382", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 141, "x": 15, "width": 631, "skin": "unpack/fymdbhs.png", "sizeGrid": "30,30,30,30", "height": 492 } }, { "type": "Image", "props": { "y": 301, "x": 233, "skin": "game/jbtb.png" }, "child": [{ "type": "Label", "props": { "y": 37, "x": 94, "text": "10", "fontSize": 60, "color": "#5d6660", "bold": true, "anchorY": 0.5 } }] }, { "type": "Label", "props": { "y": 220, "x": 330, "var": "tips", "text": "Get Gold For Free!", "fontSize": 60, "color": "#404445", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 484, "x": 330, "width": 400, "var": "confirmBtn", "skin": "unpack/lsanht.png", "sizeGrid": "0,30,0,30", "height": 120, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 55, "x": 112, "skin": "other/bftb.png", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 55, "x": 250, "text": "领取", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }] }] };
        Layer.LackOfGoldUI = LackOfGoldUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class OverLayerUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Layer.OverLayerUI.uiView);
            }
        }
        OverLayerUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "skin": "common/SprBlack.png", "height": 1624, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 700, "x": 375, "width": 660, "var": "middleZone", "skin": "unpack/fymdbbs.png", "sizeGrid": "30,30,30,30", "height": 650, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 12, "x": 15, "width": 630, "skin": "game/btk.png", "sizeGrid": "0,100,0,100", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 542, "width": 88, "var": "closeBtn", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 33, "x": 21, "skin": "game/gban.png" } }] }, { "type": "Label", "props": { "y": 50, "x": 315, "var": "titleTxt", "text": "再接再厉", "fontSize": 60, "color": "#578382", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 141, "x": 15, "width": 631, "skin": "unpack/fymdbhs.png", "sizeGrid": "30,30,30,30", "height": 492 } }, { "type": "Image", "props": { "y": 514, "x": 330, "width": 400, "var": "backMainBtn", "skin": "game/hsehtan.png", "sizeGrid": "0,30,0,30", "height": 160, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 75, "x": 18, "skin": "game/pwmstb.png", "anchorY": 0.5 } }, { "type": "Label", "props": { "y": 75, "x": 240, "var": "backMainTxt", "text": "游戏结束", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 284, "x": 330, "width": 400, "var": "restartBtn", "skin": "unpack/lsanht.png", "sizeGrid": "0,30,0,30", "height": 160, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 75, "x": 50, "skin": "game/cxkstb.png", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 95, "x": 250, "var": "restartTxt", "text": "重新开始", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 7, "x": 187, "visible": false, "var": "coinImg", "skin": "game/jbtb.png", "scaleY": 0.7, "scaleX": 0.7 }, "child": [{ "type": "Label", "props": { "y": 37, "x": 94, "text": "100", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }] }] }] }] };
        Layer.OverLayerUI = OverLayerUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class PauseLayerUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                View.regComponent("XnhdAPI.Tools.ButtonEff", XnhdAPI.Tools.ButtonEff);
                super.createChildren();
                this.createView(ui.Layer.PauseLayerUI.uiView);
            }
        }
        PauseLayerUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "var": "bg", "skin": "common/SprBlack.png", "height": 1624, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 700, "x": 375, "width": 660, "var": "middleZone", "skin": "unpack/fymdbbs.png", "sizeGrid": "30,30,30,30", "height": 800, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 12, "x": 15, "width": 630, "skin": "game/btk.png", "sizeGrid": "0,100,0,100", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 542, "width": 88, "var": "closeBtn", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 33, "x": 21, "skin": "game/gban.png" } }] }, { "type": "Label", "props": { "y": 50, "x": 315, "text": "已暂停", "fontSize": 60, "color": "#578382", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 135, "x": 15, "width": 631, "skin": "unpack/fymdbhs.png", "sizeGrid": "30,30,30,30", "height": 650 } }, { "type": "Image", "props": { "y": 65, "x": 65, "width": 90, "var": "soundBtn", "skin": "game/andbyx.png", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 90, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 45, "x": 45, "width": 50, "skin": "game/sound_on.png", "pivotY": 25, "pivotX": 25, "height": 50 } }] }, { "type": "Image", "props": { "y": 360, "x": 330, "width": 400, "var": "continueBtn", "skin": "unpack/lsanht.png", "sizeGrid": "0,30,0,30", "height": 120, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 55, "x": 70, "skin": "game/jxyxtb.png", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 55, "x": 250, "text": "重新开始", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 510, "x": 330, "width": 400, "var": "restartBtn", "skin": "unpack/lsanht.png", "sizeGrid": "0,30,0,30", "height": 120, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 55, "x": 70, "skin": "game/cxkstb.png", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 75, "x": 250, "text": "重新开始", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 1, "x": 193, "visible": false, "var": "coin_img", "skin": "game/jbtb.png", "scaleY": 0.6, "scaleX": 0.6 }, "child": [{ "type": "Label", "props": { "y": 37, "x": 94, "text": "100", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }] }] }, { "type": "Image", "props": { "y": 660, "x": 330, "width": 400, "var": "backMainBtn", "skin": "unpack/lsanht.png", "sizeGrid": "0,30,0,30", "height": 120, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 55, "x": 70, "skin": "game/fhzytb.png", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 55, "x": 250, "text": "重新开始", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Label", "props": { "y": 170, "x": 330, "var": "maxScore", "text": "最高分：0", "fontSize": 50, "color": "#9baea8", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 238, "x": 330, "var": "curScore", "text": "45000", "fontSize": 80, "color": "#5b5555", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 752, "x": 330, "text": "存档数据不会丢失", "fontSize": 36, "color": "#252525", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }] };
        Layer.PauseLayerUI = PauseLayerUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class StoreLayerUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Layer.StoreLayerUI.uiView);
            }
        }
        StoreLayerUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "width": 750, "var": "bgLayer", "skin": "common/SprBlack.png", "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "skin": "unpack/bg/bj0.jpg", "height": 1624 } }, { "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "skin": "unpack/bg/bj0.jpg", "height": 1624, "alpha": 0 } }] }, { "type": "Image", "props": { "y": 568, "x": 380, "width": 660, "var": "middleZone", "skin": "unpack/fymdbbs.png", "sizeGrid": "30,30,30,30", "height": 1100, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 12, "x": 15, "width": 630, "skin": "game/btk.png", "sizeGrid": "0,100,0,100", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 542, "width": 88, "var": "closeBtn", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 33, "x": 21, "skin": "game/gban.png" } }] }, { "type": "Label", "props": { "y": 50, "x": 315, "var": "titleTxt", "text": "再接再厉", "fontSize": 60, "color": "#578382", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 140, "x": 15, "width": 630, "var": "effLayer", "skin": "unpack/fymdbhs.png", "sizeGrid": "30,30,30,30", "height": 945 } }, { "type": "Label", "props": { "y": 1040, "x": 330, "width": 600, "var": "bgStatusTips", "valign": "middle", "text": "排位赛第x关解锁", "height": 60, "fontSize": 30, "color": "#413d3d", "anchorY": 0.5, "anchorX": 0.5, "align": "center" } }, { "type": "Image", "props": { "y": 705, "x": 50, "width": 280, "var": "bgLeft", "height": 290 }, "child": [{ "type": "Image", "props": { "y": 121, "x": 192, "skin": "game/zsjt.png", "scaleX": -1 } }] }, { "type": "Image", "props": { "y": 705, "x": 330, "width": 280, "var": "bgRight", "height": 290 }, "child": [{ "type": "Image", "props": { "y": 118, "x": 96, "skin": "game/zsjt.png" } }] }, { "type": "Image", "props": { "y": 40, "x": 37, "width": 160, "skin": "game/jbht.png", "height": 50 }, "child": [{ "type": "Image", "props": { "y": -5, "x": -20, "width": 60, "skin": "game/jbtb.png", "height": 60 } }, { "type": "Label", "props": { "y": 24, "x": 99, "var": "coinNum", "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 186, "x": 50, "width": 280, "var": "stampLeft", "height": 270 }, "child": [{ "type": "Image", "props": { "y": 121, "x": 192, "skin": "game/zsjt.png", "scaleX": -1 } }] }, { "type": "Image", "props": { "y": 534, "x": 330, "width": 300, "var": "stampBtn", "skin": "unpack/lsanht.png", "sizeGrid": "30,30,35,30", "height": 100, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 24, "x": 149, "text": "100", "fontSize": 30, "color": "#ffffff", "bold": true, "anchorY": 0.5 }, "child": [{ "type": "Image", "props": { "y": -4, "x": -47, "skin": "game/jbtb.png", "scaleY": 0.5, "scaleX": 0.5 } }] }, { "type": "Label", "props": { "y": 65, "x": 150, "text": "已购买", "fontSize": 40, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 186, "x": 330, "width": 280, "var": "stampRight", "height": 270 }, "child": [{ "type": "Image", "props": { "y": 118, "x": 96, "skin": "game/zsjt.png" } }] }, { "type": "Image", "props": { "y": 380, "x": 505, "visible": false, "var": "hand", "skin": "game/shoutishi.png", "scaleY": 1.5, "scaleX": 1.5 } }, { "type": "Image", "props": { "y": 525, "x": 420, "visible": false, "skin": "game/shoutishi.png", "scaleY": 1.5, "scaleX": 1.5 } }] }] };
        Layer.StoreLayerUI = StoreLayerUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class TurntableViewUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                View.regComponent("XnhdAPI.Tools.ButtonEff", XnhdAPI.Tools.ButtonEff);
                super.createChildren();
                this.createView(ui.Layer.TurntableViewUI.uiView);
            }
        }
        TurntableViewUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "var": "bg", "skin": "common/SprBlack.png", "height": 1624, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 790, "x": 375, "width": 578, "var": "all", "skin": "game/zpdb2.png", "height": 642, "anchorY": 1, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 282, "x": 290, "width": 524, "var": "blackBg", "skin": "common/SprBlack.png", "height": 524, "anchorY": 0.5, "anchorX": 0.5, "alpha": 0.15 }, "child": [{ "type": "Sprite", "props": { "renderType": "mask" } }] }, { "type": "Image", "props": { "y": 282, "x": 290, "var": "itemLayer" } }, { "type": "Image", "props": { "y": 282, "x": 290, "width": 130, "var": "imgZhizhen", "skin": "game/zpzz.png", "scaleY": 1.1, "scaleX": 1.1, "pivotY": 125, "pivotX": 65, "height": 190 } }] }, { "type": "Image", "props": { "y": 865, "x": 375, "width": 400, "var": "startBtn", "skin": "unpack/lsanht.png", "sizeGrid": "50,50,50,50", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 140, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 65, "x": 200, "text": "重新开始", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }] };
        Layer.TurntableViewUI = TurntableViewUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class ZhuanpanViewUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                View.regComponent("XnhdAPI.Tools.ButtonEff", XnhdAPI.Tools.ButtonEff);
                super.createChildren();
                this.createView(ui.Layer.ZhuanpanViewUI.uiView);
            }
        }
        ZhuanpanViewUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "var": "bg", "skin": "common/SprBlack.png", "height": 1624, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 214, "x": 560, "width": 195, "var": "diamondPos", "skin": "game/lifeBar.png", "sizeGrid": "12,12,12,12", "pivotY": 22, "pivotX": 29, "height": 42 }, "child": [{ "type": "Label", "props": { "y": 19, "x": 118, "var": "diamondText", "text": "1000000", "strokeColor": "#fff", "stroke": 2, "fontSize": 35, "font": "Arial", "color": "#580d0c", "bold": true, "anchorY": 0.5, "anchorX": 0.5, "align": "right" } }, { "type": "Image", "props": { "y": 22, "x": 29, "skin": "other/daily/img_zuanshi.png", "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Box", "props": { "y": 1100, "x": 0, "width": 750, "var": "buttonPos", "height": 120, "anchorY": 1 }, "child": [{ "type": "Image", "props": { "y": -333, "x": 376, "width": 655, "var": "zhuanpan", "skin": "other/zhuanpan/img_zhuangpang.png", "name": "zhuanpan", "height": 655, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Box", "props": { "y": 0, "x": 0, "width": 655, "var": "lightBox", "height": 655 }, "child": [{ "type": "Image", "props": { "y": 19, "x": 365, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_20", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 21, "x": 262, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_19", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 56, "x": 168, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_18", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 106, "x": 105, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_17", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 171, "x": 57, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_16", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 244, "x": 27, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_15", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 326, "x": 15, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_14", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 404, "x": 25, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_13", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 480, "x": 58, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_12", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 544, "x": 107, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_11", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 592, "x": 171, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_10", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 622, "x": 245, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_9", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 633, "x": 324, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_8", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 622, "x": 405, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_7", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 592, "x": 480, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_6", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 543, "x": 544, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_5", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 480, "x": 592, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_4", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 405, "x": 623, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_3", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 326, "x": 633, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_2", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 245, "x": 623, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_1", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 172, "x": 593, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_0", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 30, "x": 419, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_21", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 54, "x": 477, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang01.png", "name": "light_22", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 108, "x": 547, "visible": false, "skin": "other/zhuanpan/btn_zhuanpang02.png", "name": "light_23", "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Box", "props": { "y": 0, "x": 0, "width": 655, "var": "rewardBox", "height": 655 }, "child": [{ "type": "Image", "props": { "y": 109, "x": 328, "var": "gold_0", "skin": "other/zhuanpan/zuanshi_lanse01.png", "name": "gold_0", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 90, "x": -5, "text": "钻石 x5", "fontSize": 30, "color": "#580d0c", "bold": true } }] }, { "type": "Image", "props": { "y": 210, "x": 504, "var": "gold_1", "skin": "other/zhuanpan/zuanshi_lanse02.png", "name": "gold_1", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 100, "x": 12, "text": "钻石 x10", "fontSize": 30, "color": "#580d0c", "bold": true } }] }, { "type": "Image", "props": { "y": 406, "x": 506, "var": "gold_2", "skin": "other/zhuanpan/zuanshi_lanse03.png", "name": "gold_2", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 120, "x": 15, "text": "钻石 x15", "fontSize": 30, "color": "#580d0c", "bold": true } }] }, { "type": "Image", "props": { "y": 511, "x": 326, "var": "gold_3", "skin": "other/zhuanpan/zuanshi_lanse04.png", "name": "gold_3", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 103, "x": 40, "text": "钻石 x20", "fontSize": 30, "color": "#580d0c", "bold": true } }] }, { "type": "Image", "props": { "y": 405, "x": 145, "var": "gold_4", "skin": "other/zhuanpan/zuanshi_lanse05.png", "name": "gold_4", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 128, "x": 10, "text": "钻石 x25", "fontSize": 30, "color": "#580d0c", "bold": true } }] }, { "type": "Image", "props": { "y": 204, "x": 146, "var": "gold_5", "skin": "other/zhuanpan/zuanshi_lanse06.png", "name": "gold_5", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 128, "x": 10, "text": "钻石 x30", "fontSize": 30, "color": "#580d0c", "bold": true } }] }] }, { "type": "Image", "props": { "y": 323, "x": 326, "width": 296, "visible": false, "var": "imgFlag", "skin": "other/zhuanpan/btn_zhuanpang03.png", "rotation": 120, "pivotY": 18, "pivotX": 317, "height": 293 } }, { "type": "Image", "props": { "y": -111, "x": 137, "skin": "other/zhuanpan/img_huanledazhuanpang.png", "name": "biaoti" } }, { "type": "Image", "props": { "y": 324, "x": 328, "width": 74, "var": "imgZhizhen", "skin": "other/zhuanpan/btn_zhuanpang05.png", "rotation": 0, "pivotY": 135, "pivotX": 37, "height": 108 } }, { "type": "Image", "props": { "y": 329, "x": 328, "skin": "other/zhuanpan/btn_zhuanpang04.png", "name": "imgYuan", "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": -19, "x": 44, "width": 195, "skin": "game/lifeBar.png", "sizeGrid": "12,12,12,12", "pivotY": 22, "pivotX": 32, "height": 42 }, "child": [{ "type": "Label", "props": { "y": 20, "x": 74, "var": "ticketNum", "text": "x 100", "strokeColor": "#fff", "stroke": 2, "fontSize": 35, "color": "#580d0c", "bold": true, "anchorY": 0.5 } }, { "type": "Image", "props": { "y": -8, "x": -3, "width": 72, "skin": "other/zhuanpan/zhuanpanTicket.png", "height": 58 } }] }, { "type": "Image", "props": { "y": 62, "x": 375, "width": 320, "var": "btnFree", "stateNum": 1, "skin": "other/zhuanpan/anniu02.png", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 120, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "visible": false, "var": "countDownText", "strokeColor": "#3747be", "stroke": 2, "fontSize": 40, "color": "#ffffff", "centerY": -8, "centerX": 0, "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 22, "x": 39, "width": 67, "visible": false, "var": "btnText", "skin": "other/zhuanpan/zhuanpanTicket.png", "height": 55 }, "child": [{ "type": "Label", "props": { "y": 29, "x": 147, "text": "x 1 开启", "strokeColor": "#3747be", "stroke": 2, "fontSize": 40, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 22, "x": 39, "visible": false, "var": "videoImg", "skin": "other/img_play.png" } }] }, { "type": "Image", "props": { "y": 62, "x": 659, "var": "btnClose", "stateNum": 1, "skin": "other/zhuanpan/btn_guangbi01.png", "runtime": "XnhdAPI.Tools.ButtonEff", "anchorY": 0.5, "anchorX": 0.5 } }] }] };
        Layer.ZhuanpanViewUI = ZhuanpanViewUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class cultivateLayerUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Layer.cultivateLayerUI.uiView);
            }
        }
        cultivateLayerUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "skin": "common/SprBlack.png", "height": 1624, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 1100, "x": 45, "width": 660, "var": "middleZone", "skin": "unpack/fymdbbs.png", "sizeGrid": "30,30,30,30", "height": 900, "anchorY": 1 }, "child": [{ "type": "Image", "props": { "y": 12, "x": 15, "width": 630, "skin": "game/btk.png", "sizeGrid": "0,100,0,100", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 542, "width": 88, "var": "closeBtn", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 33, "x": 21, "skin": "game/gban.png" } }] }, { "type": "Label", "props": { "y": 50, "x": 315, "var": "titleTxt", "text": "能力养成", "fontSize": 60, "color": "#578382", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 128, "x": 243, "width": 160, "skin": "game/jbht.png", "height": 50 }, "child": [{ "type": "Image", "props": { "y": -5, "x": -20, "width": 60, "skin": "game/jbtb.png", "height": 60 } }, { "type": "Label", "props": { "y": 24, "x": 99, "var": "coinNum", "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 185, "x": 15, "width": 630, "skin": "unpack/fymdbhs.png", "sizeGrid": "30,30,30,30", "height": 700 } }, { "type": "Image", "props": { "y": 200, "x": 30, "width": 600, "skin": "game/pmht.png", "sizeGrid": "24,24,24,24", "height": 150 }, "child": [{ "type": "Image", "props": { "y": 2, "x": 2, "width": 146, "skin": "game/djdk.png", "height": 146 }, "child": [{ "type": "Label", "props": { "y": 115, "x": 73, "wordWrap": true, "width": 125, "valign": "middle", "text": "Omnipotent", "height": 40, "fontSize": 20, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5, "align": "center" } }, { "type": "Image", "props": { "y": 57, "x": 73, "skin": "game/wnxt.png", "scaleY": 0.9, "scaleX": 0.9, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 82, "x": 201, "skin": "game/tsjt.png" }, "child": [{ "type": "Label", "props": { "y": -37, "x": -51, "wordWrap": true, "width": 330, "valign": "middle", "text": "排位赛可用次数", "height": 60, "fontSize": 30, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Label", "props": { "y": 10, "x": -31, "text": "9", "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 10, "x": 99, "text": "10", "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 58, "x": 597, "width": 110, "var": "OmnipotentBtn", "skin": "game/tsandb.png", "sizeGrid": "15,15,20,15", "height": 110, "anchorY": 0.5, "anchorX": 1 }, "child": [{ "type": "Image", "props": { "y": 18, "x": 17, "width": 30, "skin": "game/jbtb.png", "height": 30 } }, { "type": "Label", "props": { "y": 35, "x": 53, "text": "x10", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Label", "props": { "y": 69, "x": 55, "text": "提升", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 148, "x": 148, "width": 444, "skin": "game/tst2.png", "sizeGrid": "0,25,0,25", "height": 34, "anchorY": 1 }, "child": [{ "type": "Image", "props": { "y": 2, "x": 2, "width": 440, "skin": "game/tst.png", "sizeGrid": "0,10,0,10", "height": 30 } }, { "type": "Label", "props": { "y": 17, "x": 222, "text": "1 / 3", "fontSize": 30, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }] }, { "type": "Image", "props": { "y": 373, "x": 30, "width": 600, "skin": "game/pmht.png", "sizeGrid": "24,24,24,24", "height": 150 }, "child": [{ "type": "Image", "props": { "y": 2, "x": 2, "width": 146, "skin": "game/djdk.png", "height": 146 }, "child": [{ "type": "Label", "props": { "y": 115, "x": 73, "wordWrap": true, "width": 125, "valign": "middle", "text": "Omnipotent", "height": 40, "fontSize": 20, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5, "align": "center" } }, { "type": "Image", "props": { "y": 57, "x": 73, "skin": "game/fjxt.png", "scaleY": 0.9, "scaleX": 0.9, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 82, "x": 201, "skin": "game/tsjt.png" }, "child": [{ "type": "Label", "props": { "y": -37, "x": -51, "wordWrap": true, "width": 330, "valign": "middle", "text": "排位赛可用次数", "height": 60, "fontSize": 30, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Label", "props": { "y": 10, "x": -31, "text": "9", "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 10, "x": 99, "text": "10", "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 58, "x": 542, "width": 110, "var": "BombBtn", "skin": "game/tsandb.png", "sizeGrid": "15,15,20,15", "height": 110, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 18, "x": 17, "width": 30, "skin": "game/jbtb.png", "height": 30 } }, { "type": "Label", "props": { "y": 35, "x": 53, "text": "x10", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Label", "props": { "y": 69, "x": 55, "text": "提升", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 148, "x": 148, "width": 444, "skin": "game/tst2.png", "sizeGrid": "0,25,0,25", "height": 34, "anchorY": 1 }, "child": [{ "type": "Image", "props": { "y": 2, "x": 2, "width": 440, "skin": "game/tst.png", "sizeGrid": "0,10,0,10", "height": 30 } }, { "type": "Label", "props": { "y": 17, "x": 222, "text": "1 / 3", "fontSize": 30, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }] }, { "type": "Image", "props": { "y": 547, "x": 30, "width": 600, "skin": "game/pmht.png", "sizeGrid": "24,24,24,24", "height": 150 }, "child": [{ "type": "Image", "props": { "y": 2, "x": 2, "width": 146, "skin": "game/djdk.png", "height": 146 }, "child": [{ "type": "Label", "props": { "y": 115, "x": 73, "wordWrap": true, "width": 125, "valign": "middle", "text": "Omnipotent", "height": 40, "fontSize": 20, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5, "align": "center" } }, { "type": "Image", "props": { "y": 57, "x": 73, "skin": "game/cpxt.png", "scaleY": 0.9, "scaleX": 0.9, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 82, "x": 201, "skin": "game/tsjt.png" }, "child": [{ "type": "Label", "props": { "y": -37, "x": -51, "wordWrap": true, "width": 330, "valign": "middle", "text": "排位赛可用次数", "height": 60, "fontSize": 30, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Label", "props": { "y": 10, "x": -31, "text": "9", "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 10, "x": 99, "text": "10", "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 58, "x": 542, "width": 110, "var": "SaveBtn", "skin": "game/tsandb.png", "sizeGrid": "15,15,20,15", "height": 110, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 18, "x": 17, "width": 30, "skin": "game/jbtb.png", "height": 30 } }, { "type": "Label", "props": { "y": 35, "x": 53, "text": "x10", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Label", "props": { "y": 69, "x": 55, "text": "提升", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 148, "x": 148, "width": 444, "skin": "game/tst2.png", "sizeGrid": "0,25,0,25", "height": 34, "anchorY": 1 }, "child": [{ "type": "Image", "props": { "y": 2, "x": 2, "width": 440, "skin": "game/tst.png", "sizeGrid": "0,10,0,10", "height": 30 } }, { "type": "Label", "props": { "y": 17, "x": 222, "text": "1 / 3", "fontSize": 30, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }] }, { "type": "Image", "props": { "y": 720, "x": 30, "width": 600, "skin": "game/pmht.png", "sizeGrid": "24,24,24,24", "height": 150 }, "child": [{ "type": "Image", "props": { "y": 2, "x": 2, "width": 146, "skin": "game/djdk.png", "height": 146 }, "child": [{ "type": "Label", "props": { "y": 115, "x": 73, "wordWrap": true, "width": 125, "valign": "middle", "text": "Omnipotent", "height": 40, "fontSize": 20, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5, "align": "center" } }, { "type": "Image", "props": { "y": 57, "x": 73, "skin": "game/szxt.png", "scaleY": 0.9, "scaleX": 0.9, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 82, "x": 201, "skin": "game/tsjt.png" }, "child": [{ "type": "Label", "props": { "y": -37, "x": -51, "wordWrap": true, "width": 330, "valign": "middle", "text": "排位赛可用次数", "height": 60, "fontSize": 30, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Label", "props": { "y": 10, "x": -31, "text": "9", "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 10, "x": 99, "text": "10", "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 58, "x": 542, "width": 110, "var": "ThinkingBtn", "skin": "game/tsandb.png", "sizeGrid": "15,15,20,15", "height": 110, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 18, "x": 17, "width": 30, "skin": "game/jbtb.png", "height": 30 } }, { "type": "Label", "props": { "y": 35, "x": 53, "text": "x10", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Label", "props": { "y": 69, "x": 55, "text": "提升", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 148, "x": 148, "width": 444, "skin": "game/tst2.png", "sizeGrid": "0,25,0,25", "height": 34, "anchorY": 1 }, "child": [{ "type": "Image", "props": { "y": 2, "x": 2, "width": 440, "skin": "game/tst.png", "sizeGrid": "0,10,0,10", "height": 30 } }, { "type": "Label", "props": { "y": 17, "x": 222, "text": "1 / 3", "fontSize": 30, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }] }] }] };
        Layer.cultivateLayerUI = cultivateLayerUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class guideFinishLayerUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Layer.guideFinishLayerUI.uiView);
            }
        }
        guideFinishLayerUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "var": "blackBg", "skin": "common/SprBlack.png", "sizeGrid": "12,13,14,13", "height": 1624, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 600, "x": 375, "width": 660, "var": "container", "skin": "unpack/fymdbbs.png", "sizeGrid": "30,30,30,30", "height": 650, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 12, "x": 15, "width": 630, "skin": "game/btk.png", "sizeGrid": "0,100,0,100", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 542, "width": 88, "var": "closeBtn", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 33, "x": 21, "skin": "game/gban.png" } }] }, { "type": "Label", "props": { "y": 50, "x": 315, "var": "tittleTxt", "text": "Congratulations", "fontSize": 60, "color": "#578382", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 141, "x": 15, "width": 631, "skin": "unpack/fymdbhs.png", "sizeGrid": "30,30,30,30", "height": 492 } }, { "type": "Label", "props": { "y": 269, "x": 330, "wordWrap": true, "width": 550, "var": "tips", "valign": "middle", "text": "您还有炸弹未使用，是否使用", "height": 120, "fontSize": 40, "color": "#404445", "bold": true, "anchorY": 0.5, "anchorX": 0.5, "align": "center" } }, { "type": "Image", "props": { "y": 494, "x": 330, "width": 400, "var": "confirmBtn", "skin": "unpack/lsanht.png", "sizeGrid": "0,30,0,30", "height": 136, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 63, "x": 200, "text": "使用", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }] }] };
        Layer.guideFinishLayerUI = guideFinishLayerUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class langLayerUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                View.regComponent("XnhdAPI.Tools.ButtonEff", XnhdAPI.Tools.ButtonEff);
                super.createChildren();
                this.createView(ui.Layer.langLayerUI.uiView);
            }
        }
        langLayerUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "skin": "common/SprBlack.png", "height": 1624, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 700, "x": 375, "width": 660, "var": "middleZone", "skin": "unpack/fymdbbs.png", "sizeGrid": "30,30,30,30", "height": 650, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 15, "x": 15, "width": 631, "skin": "unpack/fymdbhs.png", "sizeGrid": "30,30,30,30", "height": 620 } }, { "type": "Image", "props": { "y": 110, "x": 330, "width": 400, "var": "englishBtn", "skin": "unpack/lsanht.png", "sizeGrid": "0,30,0,30", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 160, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 75, "x": 200, "text": "English", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 325, "x": 330, "width": 400, "var": "chsBtn", "skin": "unpack/lsanht.png", "sizeGrid": "0,30,0,30", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 160, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 75, "x": 200, "text": "简体中文", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 540, "x": 330, "width": 400, "var": "chzBtn", "skin": "unpack/lsanht.png", "sizeGrid": "0,30,0,30", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 160, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 75, "x": 200, "text": "繁体中文", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }] }] };
        Layer.langLayerUI = langLayerUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class levelUpLayerUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Layer.levelUpLayerUI.uiView);
            }
        }
        levelUpLayerUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "var": "blackBg", "skin": "common/SprBlack.png", "sizeGrid": "12,13,14,13", "height": 1624, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 600, "x": 375, "width": 660, "var": "container", "skin": "unpack/fymdbbs.png", "sizeGrid": "30,30,30,30", "height": 650, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 12, "x": 15, "width": 630, "skin": "game/btk.png", "sizeGrid": "0,100,0,100", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 542, "width": 88, "var": "closeBtn", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 33, "x": 21, "skin": "game/gban.png" } }] }, { "type": "Label", "props": { "y": 50, "x": 315, "var": "tittleTxt", "text": "Congratulations", "fontSize": 60, "color": "#578382", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 141, "x": 15, "width": 631, "skin": "unpack/fymdbhs.png", "sizeGrid": "30,30,30,30", "height": 492 } }, { "type": "Image", "props": { "y": 156, "x": 174, "skin": "game/jbtb.png" }, "child": [{ "type": "Label", "props": { "y": 37, "x": 94, "var": "coinNum_video", "text": "3(+10)", "fontSize": 60, "color": "#646a6c", "bold": true, "anchorY": 0.5 } }] }, { "type": "Image", "props": { "y": 544, "x": 330, "width": 400, "var": "normalGetBtn", "skin": "game/hsehtan.png", "sizeGrid": "0,30,0,30", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 63, "x": 200, "text": "直接领取", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 304, "x": 330, "width": 400, "var": "extraGetBtn", "skin": "unpack/lsanht.png", "sizeGrid": "0,30,0,30", "height": 136, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 63, "x": 65, "skin": "other/bftb.png", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 63, "x": 250, "text": "超级领取", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 384, "x": 223, "skin": "game/jbtb.png" }, "child": [{ "type": "Label", "props": { "y": 37, "x": 94, "var": "coinNum", "text": "3", "fontSize": 60, "color": "#646a6c", "bold": true, "anchorY": 0.5 } }] }] }] };
        Layer.levelUpLayerUI = levelUpLayerUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class ranklistLayerUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Layer.ranklistLayerUI.uiView);
            }
        }
        ranklistLayerUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "var": "bg", "skin": "common/SprBlack.png", "height": 1624, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 605, "x": 381, "width": 660, "var": "middleZone", "skin": "unpack/fymdbbs.png", "sizeGrid": "30,30,30,30", "height": 950, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 32, "x": 24, "width": 300, "visible": false, "var": "friendBtn", "skin": "game/phbandb.png", "height": 110 }, "child": [{ "type": "Label", "props": { "y": 56, "x": 146, "text": "世界排位", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 0, "x": 0, "width": 300, "skin": "common/SprBlack.png", "height": 110, "alpha": 0.4 } }] }, { "type": "Image", "props": { "y": 36, "x": 179, "width": 300, "visible": true, "var": "worldBtn", "skin": "game/phbandb.png", "height": 110 }, "child": [{ "type": "Label", "props": { "y": 56, "x": 146, "text": "世界排行", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 0, "x": 0, "width": 300, "skin": "common/SprBlack.png", "height": 110, "alpha": 0.4 } }] }, { "type": "Image", "props": { "y": 170, "x": 30, "width": 600, "visible": false, "skin": "unpack/fymdbhs.png", "sizeGrid": "15,15,15,15", "height": 750 }, "child": [{ "type": "Panel", "props": { "y": 0, "x": 25, "width": 550, "visible": false, "var": "rankListZone", "vScrollBarSkin": "common/vscroll.png", "height": 750 } }] }, { "type": "Image", "props": { "y": 170, "x": 30, "width": 600, "visible": true, "skin": "unpack/fymdbhs.png", "sizeGrid": "15,15,15,15", "height": 750 }, "child": [{ "type": "Panel", "props": { "y": 0, "x": 25, "width": 550, "visible": true, "var": "rankListZone_W", "vScrollBarSkin": "common/vscroll.png", "height": 580 } }, { "type": "Image", "props": { "y": 590, "x": 25, "width": 550, "skin": "game/pfkdb.png", "sizeGrid": "15,15,15,15", "height": 150 }, "child": [{ "type": "Image", "props": { "y": 70, "x": 63, "var": "rankScoreBg", "skin": "game/rank_4.png", "pivotY": 32, "pivotX": 32, "name": "rankScoreBg" } }, { "type": "Label", "props": { "y": 70, "x": 63, "var": "rankScore", "text": "99", "name": "rankScore", "fontSize": 36, "color": "#ffffff", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Image", "props": { "y": 70, "x": 194, "width": 100, "skin": "unpack/blank.jpg", "name": "avatar", "height": 100, "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 69, "x": 278, "width": 127, "text": "照理说应该", "overflow": "hidden", "name": "playName", "height": 31, "fontSize": 24, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Label", "props": { "y": 70, "x": 473, "text": "9999999", "name": "playScore", "fontSize": 24, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }] }] }, { "type": "Image", "props": { "y": 1170, "x": 369, "width": 450, "var": "shareBtn", "skin": "game/hsehtan.png", "sizeGrid": "50,50,50,50", "height": 140, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 65, "x": 225, "text": "分享", "fontSize": 80, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 0, "x": 0, "width": 100, "var": "closeBtn", "height": 100 }, "child": [{ "type": "Image", "props": { "y": 23, "x": 20, "skin": "game/fhan.png" } }] }] };
        Layer.ranklistLayerUI = ranklistLayerUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    var Layer;
    (function (Layer) {
        class renewLayerUI extends View {
            constructor() {
                super();
            }
            createChildren() {
                super.createChildren();
                this.createView(ui.Layer.renewLayerUI.uiView);
            }
        }
        renewLayerUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "var": "blackBg", "skin": "common/SprBlack.png", "sizeGrid": "12,13,14,13", "height": 1624, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 600, "x": 375, "width": 660, "var": "container", "skin": "unpack/fymdbbs.png", "sizeGrid": "30,30,30,30", "height": 650, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 12, "x": 15, "width": 630, "skin": "game/btk.png", "sizeGrid": "0,100,0,100", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 0, "x": 542, "width": 88, "var": "closeBtn", "height": 108 }, "child": [{ "type": "Image", "props": { "y": 33, "x": 21, "skin": "game/gban.png" } }] }, { "type": "Label", "props": { "y": 50, "x": 315, "var": "tittleTxt", "text": "Congratulations", "fontSize": 60, "color": "#578382", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 141, "x": 15, "width": 631, "skin": "unpack/fymdbhs.png", "sizeGrid": "30,30,30,30", "height": 492 } }, { "type": "Label", "props": { "y": 209, "x": 330, "wordWrap": true, "width": 560, "var": "tips", "valign": "middle", "text": "您还有炸弹未使用，是否使用", "height": 80, "fontSize": 40, "color": "#404445", "bold": true, "anchorY": 0.5, "anchorX": 0.5, "align": "center" } }, { "type": "Image", "props": { "y": 544, "x": 330, "width": 400, "var": "giveUpBtn", "skin": "game/hsehtan.png", "sizeGrid": "0,30,0,30", "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 63, "x": 200, "text": "放弃使用", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 370, "x": 330, "width": 400, "var": "useBtn", "skin": "unpack/lsanht.png", "sizeGrid": "0,30,0,30", "height": 136, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 63, "x": 60, "var": "videoImg", "skin": "other/bftb.png", "anchorY": 0.5, "anchorX": 0.5 } }, { "type": "Label", "props": { "y": 63, "x": 200, "text": "使用", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }] }] };
        Layer.renewLayerUI = renewLayerUI;
    })(Layer = ui.Layer || (ui.Layer = {}));
})(ui || (ui = {}));
(function (ui) {
    class MainViewUI extends View {
        constructor() {
            super();
        }
        createChildren() {
            View.regComponent("XnhdAPI.Tools.ButtonEff", XnhdAPI.Tools.ButtonEff);
            super.createChildren();
            this.createView(ui.MainViewUI.uiView);
        }
    }
    MainViewUI.uiView = { "type": "View", "props": { "width": 750, "height": 1624 }, "child": [{ "type": "Image", "props": { "var": "bg", "skin": "unpack/bg/bj0.jpg" } }, { "type": "Box", "props": { "y": 250, "x": 0, "width": 750, "var": "middleZone", "height": 870 }, "child": [{ "type": "Image", "props": { "y": 752, "x": 381, "width": 450, "var": "cultivateBtn", "skin": "game/lsancfx.png", "sizeGrid": "0,50,0,50", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 150, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 75, "x": 130, "text": "重新开始", "strokeColor": "#1e5a7d", "stroke": 4, "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Image", "props": { "y": 75, "x": 40, "skin": "game/nlycan.png", "anchorY": 0.5 } }] }, { "type": "Image", "props": { "y": 592, "x": 381, "width": 450, "var": "rankBtn", "skin": "game/lvseancfx.png", "sizeGrid": "0,50,0,50", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 150, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 95, "x": 130, "text": "重新开始", "strokeColor": "#376a3a", "stroke": 3, "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Image", "props": { "y": 75, "x": 34, "skin": "game/pwmstb.png", "anchorY": 0.5 } }, { "type": "Image", "props": { "y": 11, "x": 203, "visible": false, "var": "coin_img", "skin": "game/jbtb.png", "scaleY": 0.7, "scaleX": 0.7 }, "child": [{ "type": "Label", "props": { "y": 37, "x": 94, "text": "100", "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }] }] }, { "type": "Image", "props": { "y": 432, "x": 381, "width": 450, "var": "normalBtn", "skin": "game/hsancfx.png", "sizeGrid": "0,50,0,50", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 150, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 75, "x": 130, "text": "重新开始", "strokeColor": "#8a8944", "stroke": 4, "fontSize": 60, "color": "#ffffff", "bold": true, "anchorY": 0.5 } }, { "type": "Image", "props": { "y": 75, "x": 44, "skin": "game/ptmstb.png", "anchorY": 0.5 } }] }, { "type": "Image", "props": { "y": 604, "x": 647, "width": 60, "var": "addCoin", "skin": "game/jbtb.png", "height": 60 } }] }, { "type": "Box", "props": { "y": 0, "x": 0, "width": 750, "var": "leftZone", "height": 538 }, "child": [{ "type": "Image", "props": { "y": 330, "x": 70, "width": 90, "var": "soundBtn", "skin": "game/andbyx.png", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 90, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 45, "x": 45, "width": 50, "skin": "game/sound_on.png", "pivotY": 25, "pivotX": 25, "height": 50 } }, { "type": "Label", "props": { "y": 104, "x": 45, "text": "Sound", "fontSize": 26, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 470, "x": 70, "width": 90, "visible": false, "var": "ranklistBtn", "skin": "game/andbyx.png", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 90, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 45, "x": 45, "width": 50, "skin": "game/phtb.png", "pivotY": 25, "pivotX": 25, "height": 50 } }, { "type": "Label", "props": { "y": 104, "x": 45, "text": "RankList", "fontSize": 26, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 190, "x": 70, "width": 90, "var": "languageSettingBtn", "skin": "game/andbyx.png", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 90, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Image", "props": { "y": 45, "x": 45, "width": 50, "skin": "game/szan.png", "pivotY": 25, "pivotX": 25, "height": 50 } }, { "type": "Label", "props": { "y": 104, "x": 45, "text": "Language", "fontSize": 26, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 507, "x": 660, "width": 130, "visible": false, "var": "storeBtn", "skin": "game/sdtb.png", "runtime": "XnhdAPI.Tools.ButtonEff", "height": 100, "anchorY": 0.5, "anchorX": 0.5 }, "child": [{ "type": "Label", "props": { "y": 125, "x": 65, "text": "Store", "strokeColor": "#3c2567", "stroke": 3, "fontSize": 50, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 56, "x": 47, "width": 160, "var": "coinZone", "skin": "game/jbht.png", "height": 50 }, "child": [{ "type": "Image", "props": { "y": -5, "x": -20, "width": 60, "skin": "game/jbtb.png", "height": 60 } }, { "type": "Label", "props": { "y": 24, "x": 99, "fontSize": 36, "color": "#ffffff", "bold": true, "anchorY": 0.5, "anchorX": 0.5 } }] }, { "type": "Image", "props": { "y": 141, "x": 405, "width": 468, "var": "logo", "skin": "unpack/zpwlogo.png", "height": 259, "anchorX": 0.5 } }] }, { "type": "Box", "props": { "y": 0, "x": 0, "visible": false, "var": "storeGuideLayer" }, "child": [{ "type": "Image", "props": { "y": 0, "x": 0, "width": 750, "skin": "common/SprBlack.png", "sizeGrid": "1,1,1,1", "height": 454, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 455, "x": 0, "width": 580, "skin": "common/SprBlack.png", "sizeGrid": "1,1,1,1", "height": 1170, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 605, "x": 580, "width": 170, "skin": "common/SprBlack.png", "sizeGrid": "1,1,1,1", "height": 1019, "alpha": 0.7 } }, { "type": "Image", "props": { "y": 605, "x": 580, "var": "hand", "skin": "game/shoutishi.png", "scaleY": 1.5, "scaleX": -1.5 } }] }] };
    ui.MainViewUI = MainViewUI;
})(ui || (ui = {}));
