var view;
(function (view) {
    class levelUpLayer extends ui.Layer.levelUpLayerUI {
        constructor(coinNum, getCoinCallback, closeCallback, parent) {
            super();
            this._videoSwitch = true;
            XnhdAPI.showInterstitialAd("shengji", null, null);
            this.UIAdjust();
            parent.addChild(this);
            this.container.scale(0, 0);
            Laya.Tween.to(this.container, { scaleX: 1, scaleY: 1 }, 200, Laya.Ease.backOut);
            this.coinNum.text = coinNum.toString();
            this.coinNum_video.text = this.coinNum.text + '(+10)';
            this.closeBtn.on(Laya.Event.CLICK, this, () => {
                this.destroy();
                getCoinCallback && getCoinCallback(false);
                closeCallback && closeCallback();
            });
            this.normalGetBtn.on(Laya.Event.CLICK, this, () => {
                this.destroy();
                getCoinCallback && getCoinCallback(false);
                closeCallback && closeCallback();
            });
            this.extraGetBtn.on(Laya.Event.CLICK, this, () => {
                if (XnhdAPI.checkVideoAd() === 3) {
                    let that = this;
                    if (this._videoSwitch) {
                        this._videoSwitch = false;
                        XnhdAPI.showVideoAd("shengji", () => {
                            that.destroy();
                            getCoinCallback && getCoinCallback(true);
                            closeCallback && closeCallback();
                        }, f => {
                            that._videoSwitch = true;
                            XnhdAPI.showTips(core.GameDef.localizationConfig.finishVideoTips[core.GameDef.languageIndex]);
                        }, f => {
                            that._videoSwitch = true;
                            XnhdAPI.showTips(core.GameDef.localizationConfig.noVideoTips[core.GameDef.languageIndex]);
                        });
                    }
                    // XnhdAPI.showRewardAd(1);
                    // this.destroy();
                    // getCoinCallback && getCoinCallback(true);
                    // closeCallback && closeCallback();
                }
                else {
                    XnhdAPI.showTips(core.GameDef.localizationConfig.noVideoTips[core.GameDef.languageIndex]);
                }
            });
        }
        UIAdjust() {
            let k = XnhdAPI.Param.screenHeight - 1334; //1624-1334 = 290
            let ratio = k / (1624 - 1334);
            ratio < 0 && (ratio = 0);
            this.blackBg.height = XnhdAPI.Param.screenHeight;
            this.container.y = XnhdAPI.Param.screenHeight / 2;
            let l = core.GameDef.localizationConfig;
            let i = core.GameDef.languageIndex;
            this.tittleTxt.text = l.LevelUpView.title[i];
            this.normalGetBtn.getChildAt(0).text = l.LevelUpView.normalGetCoin[i];
            this.extraGetBtn.getChildAt(1).text = l.LevelUpView.extraGetCoin[i];
        }
    }
    view.levelUpLayer = levelUpLayer;
})(view || (view = {}));
