var view;
(function (view) {
    class overLayer extends ui.Layer.OverLayerUI {
        constructor(parent) {
            super();
            this.UIAdjust();
            parent.addChild(this);
            this.platNodeInit();
            XnhdAPI.saveDataToCache(core.GameDef.isRank ? "RankData" : "GameData", "");
            Laya.Tween.to(this.middleZone, { scaleX: 1, scaleY: 1 }, 300);
            this.closeBtn.on(Laya.Event.CLICK, this, () => {
                core.SceneManager.Default.ShowScene(core.GameScene.MAINSCENE);
            });
            this.backMainBtn.on(Laya.Event.CLICK, this, () => {
                core.SceneManager.Default.ShowScene(core.GameScene.MAINSCENE);
            });
            this.restartBtn.on(Laya.Event.CLICK, this, () => {
                if (core.GameDef.isRank) {
                    if (core.Player.Manager.getCoinNum() > 99) {
                        core.Player.Manager.adjustCoinNum(-100);
                        core.SceneManager.Default.ShowScene(core.GameScene.GAMESCENE);
                    }
                    else {
                        new view.LackOfGold(this, () => {
                        });
                    }
                }
                else {
                    core.SceneManager.Default.ShowScene(core.GameScene.GAMESCENE);
                }
            });
        }
        UIAdjust() {
            // let k = XnhdAPI.Param.screenHeight - 1334;//1624-1334 = 290
            // let ratio = k / (1624 - 1334);
            this.middleZone.y = Math.floor(XnhdAPI.Param.screenHeight / 2);
            this.middleZone.scale(0, 0);
            let l = core.GameDef.localizationConfig;
            let li = core.GameDef.languageIndex;
            this.titleTxt.text = l.GameOverView.title[li];
            this.backMainTxt.text = l.GameOverView.backMain[li];
            this.restartTxt.text = l.GameOverView.restart[li];
            if (core.GameDef.isRank) {
                this.coinImg.visible = true;
            }
            else {
                this.restartTxt.y = 80;
            }
        }
        platNodeInit() {
            XnhdAPI.hideBannerAd("over");
            XnhdAPI.showInterstitialAd("over", null, null);
            if (XnhdAPI.Param.platType === 2 && XnhdAPI.Param.channelType === 1) {
                // XnhdAPI.showSmallRankList(this.smallRankListZone);
                // this.btnShare.on(Laya.Event.CLICK, this, () => {
                //     XnhdAPI.shareImage(false, 3)
                // });
                // this.btnShare.visible = true;
                // this.btnRankView.on(Laya.Event.CLICK, this, this.showRanklist);
                // WxLiteGameAPI.AdManager.Default.showCrazyMoreGame(this.middleEliPos);
                // WxLiteGameAPI.AdManager.Default.adjustCrazyMoreGame(this.btnTuoluo);
                // XnhdAPI.XnhdWxPush.showBigBanner(this.bigBanner, false);
                return;
            }
            XnhdAPI.showBannerAd("over", XnhdAPI.Param.screenHeight - 220);
        }
        restartGame() {
            this.platNodeDestroy();
            core.SceneManager.Default.ShowScene(core.GameScene.GAMESCENE);
        }
        platNodeDestroy() {
        }
    }
    view.overLayer = overLayer;
})(view || (view = {}));
