// 程序入口
var GameMain;
(function (GameMain) {
    class Start {
        constructor() {
            this.loadingSwitch = 0;
            this.langSwitch = 1;
            console.log("run in GameMain.constructor1");
            Laya.URL.basePath = "https://app.dashitech.cn/games/zpwserver/";
            XnhdAPI.Init(() => {
                console.log("run in XnhdAPI.Init-> callback");
                core.Player.Manager.initPlayerManager();
                core.AudioAndSetting.Manager.init();
                // this.showLanguagueSelectView();
                //强制更新
                this.updateApp();
                XnhdAPI.initRankList();
                XnhdAPI.WeChatAuthorization();
            });
            console.log("run in GameMain.constructor2");
            Laya.loader.load([
                "unpack/zpwlogo.png",
                'unpack/fymdbbs.png',
                'unpack/fymdbhs.png',
                'unpack/lsanht.png',
            ], Laya.Handler.create(this, () => {
                console.log("shitshitshitshitshitshitshitshitshitshitshit");
                this.showLanguagueSelectView();
                let allres = [
                    { url: "res/atlas/common.atlas", type: Laya.Loader.ATLAS },
                    { url: "res/atlas/game.atlas", type: Laya.Loader.ATLAS },
                    { url: "res/atlas/other.atlas", type: Laya.Loader.ATLAS },
                    { url: "res/atlas/card.atlas", type: Laya.Loader.ATLAS },
                ];
                allres = allres.concat(core.GameDef.bgParam, core.GameDef.stampParam);
                Laya.loader.load(allres, Laya.Handler.create(this, this.shit));
            }), Laya.Handler.create(this, this.loadingProgress, null, false), Laya.Loader.IMAGE);
            console.log("run in GameMain.constructor9");
        }
        loadingProgress(num) {
            // if (XnhdAPI.Param.platType === 2 && (XnhdAPI.Param.channelType === 1 || XnhdAPI.Param.channelType === 6)) {
            // 	// this._loadingProgress.setProgress(num);
            // } else {
            num = Math.floor(num * 100);
            num > 100 && (num = 100);
            num < 0 && (num = 0);
            XnhdAPI.setLoadingProgress(num);
            // }
        }
        shit() {
            console.log("SHIT!");
        }
        showLanguagueSelectView() {
            console.log("run in showLanguagueSelectView0");
            //暂时直接用中文  没必要选了
            core.GameDef.languageIndex = 0;
            //先弹出登录界面
            //这里修改成头条
            let tt = window['tt'];
            if (tt) {
                core.GameDef.languageIndex = 0;
                let self = this;
                tt.login({
                    success(login_res) {
                        console.log(`userinfo login调用成功${login_res.code} ${login_res.anonymousCode}`);
                        tt.getUserInfo({
                            scope: "scope.userInfo",
                            success: res => {
                                console.log('userinfo tt.getUserInfo success res:', res);
                                XnhdAPI.WxLiteGameAPI.Param.userInfo = res.userInfo;
                                core.GameDef.myWorldRankInfo.avatarUrl = res.userInfo.avatarUrl;
                                core.GameDef.myWorldRankInfo.nickName = res.userInfo.nickName;
                                core.GameDef.updateWorldRankData(core.GameDef.maxScore.ranking, e => {
                                    console.log('RankListLayer get WorldRankData succ:', e);
                                }, f => {
                                    XnhdAPI.logDebug('RankListLayer get WorldRankData fail ' + f.toString());
                                }, login_res.code, login_res.anonymousCode);
                                self.onLoad();
                            },
                            fail: res => {
                                console.log('userinfo tt.getUserInfo fail res:', res);
                                self.onLoad();
                                tt.authorize({
                                    scope: "scope.userInfo",
                                    success() {
                                        // 用户同意授权用户信息
                                        console.log("userinfo authorize succ");
                                    },
                                    fail(res) {
                                        console.log("userinfo authorize fail1,res:", res);
                                    }
                                });
                            }
                        });
                    },
                    fail(res) {
                        console.log(`login调用失败`);
                    }
                });
            }
            else {
                console.log("run in showLanguagueSelectView1");
                this.onLoad();
            }
            // if (this.langSwitch === 0) {
            // 	if (core.GameDef.languageIndex < 0) {
            // 		// XnhdAPI.setLoadingProgress(100);
            // 		core.AudioAndSetting.Manager.playMusic();
            // 		new view.langView(() => {
            // 			this.onLoad();
            // 		})
            // 	} else {
            // 		this.onLoad();
            // 	}
            // } else {
            // 	this.langSwitch--;
            // }
        }
        showFPS() {
            this.fps = new Laya.Label;
            Laya.stage.addChild(this.fps);
            this.fps.color = '#ffffff';
            this.fps.bold = true;
            this.fps.anchorX = 1;
            this.fps.fontSize = 36;
            this.fps.pos(700 * XnhdAPI.Param.screenScale, 20 * XnhdAPI.Param.screenScale);
            this.fps.scale(XnhdAPI.Param.screenScale, XnhdAPI.Param.screenScale);
            this.fps.zOrder = 1000;
            Laya.Stat.enable();
            // Laya.timer.frameLoop(1, this, this.showFPStxt)
        }
        showFPStxt() {
            this.fps.text = 'FPS: ' + Laya.Stat.FPS;
        }
        onLoad() {
            console.log("run in GameMain.onLoad0");
            if (this.loadingSwitch == 0) {
                core.AudioAndSetting.Manager.playMusic();
                this.showFPS();
                let res = XnhdAPI.readDataFromCache("maxScore");
                if (res && res.length) {
                    try {
                        let jsonData = JSON.parse(res);
                        if (jsonData) {
                            core.GameDef.maxScore.normal = jsonData.normal;
                            core.GameDef.maxScore.ranking = jsonData.ranking;
                        }
                    }
                    catch (e) { }
                }
                core.SceneManager.Default.ShowScene(core.GameScene.MAINSCENE);
            }
            else {
                this.loadingSwitch--;
            }
        }
        updateApp() {
            // var wx = Laya.Browser.window.wx;
            // const updateManager = wx.getUpdateManager();
            // updateManager.onCheckForUpdate(function (res) {
            // 	// 请求完新版本信息的回调
            // 	if (res.hasUpdate) {
            // 		wx.showLoading({
            // 			title: '更新下载中...',
            // 		})
            // 	}
            // })
            // updateManager.onUpdateReady(function () {
            // 	wx.hideLoading();
            // 	wx.showModal({
            // 		title: '更新提示',
            // 		content: '新版本已经准备好，是否重启应用？',
            // 		success: function (res) {
            // 			if (res.confirm) {
            // 				// 新的版本已经下载好，调用 applyUpdate 应用新版本并重启
            // 				updateManager.applyUpdate()
            // 			}
            // 		}
            // 	})
            // })
            // updateManager.onUpdateFailed(function () {
            // 	// 新的版本下载失败
            // 	wx.hideLoading();
            // 	wx.showToast({ title: '下载失败...', icon: "none" });
            // })
        }
    }
    GameMain.Start = Start;
})(GameMain || (GameMain = {}));
new GameMain.Start();
