var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var view;
(function (view) {
    var levelUpLayer = /** @class */ (function (_super) {
        __extends(levelUpLayer, _super);
        function levelUpLayer(coinNum, getCoinCallback, closeCallback, parent) {
            var _this = _super.call(this) || this;
            _this._videoSwitch = true;
            _this.UIAdjust();
            parent.addChild(_this);
            _this.container.scale(0, 0);
            Laya.Tween.to(_this.container, { scaleX: 1, scaleY: 1 }, 200, Laya.Ease.backOut);
            _this.coinNum.text = coinNum.toString();
            _this.coinNum_video.text = _this.coinNum.text + '(+10)';
            _this.closeBtn.on(Laya.Event.CLICK, _this, function () {
                _this.destroy();
                getCoinCallback && getCoinCallback(false);
                closeCallback && closeCallback();
            });
            _this.normalGetBtn.on(Laya.Event.CLICK, _this, function () {
                _this.destroy();
                getCoinCallback && getCoinCallback(false);
                closeCallback && closeCallback();
            });
            _this.extraGetBtn.on(Laya.Event.CLICK, _this, function () {
                if (XnhdAPI.checkVideoAd() === 3) {
                    if (_this._videoSwitch) {
                        _this._videoSwitch = false;
                        XnhdAPI.showVideoAd(function () {
                            _this.destroy();
                            getCoinCallback && getCoinCallback(true);
                            closeCallback && closeCallback();
                        }, function (f) {
                            _this._videoSwitch = true;
                        });
                    }
                }
                else {
                    XnhdAPI.showTips(core.GameDef.localizationConfig.noVideoTips[core.GameDef.languageIndex]);
                }
            });
            return _this;
        }
        levelUpLayer.prototype.UIAdjust = function () {
            var k = XnhdAPI.Param.screenHeight - 1334; //1624-1334 = 290
            var ratio = k / (1624 - 1334);
            ratio < 0 && (ratio = 0);
            this.blackBg.height = XnhdAPI.Param.screenHeight;
            this.container.y = XnhdAPI.Param.screenHeight / 2;
            var l = core.GameDef.localizationConfig;
            var i = core.GameDef.languageIndex;
            this.tittleTxt.text = l.LevelUpView.title[i];
            this.normalGetBtn.getChildAt(0).text = l.LevelUpView.normalGetCoin[i];
            this.extraGetBtn.getChildAt(1).text = l.LevelUpView.extraGetCoin[i];
        };
        return levelUpLayer;
    }(ui.Layer.levelUpLayerUI));
    view.levelUpLayer = levelUpLayer;
})(view || (view = {}));
//# sourceMappingURL=levelUpLayer.js.map