var XnhdAPI;
(function (XnhdAPI) {
    var WxLiteGameAPI;
    (function (WxLiteGameAPI) {
        var Param = /** @class */ (function () {
            function Param() {
            }
            Param.openid = "";
            Param.userInfo = {
                avatarUrl: "",
                city: "",
                country: "",
                gender: 0,
                language: "",
                nickName: "",
                province: ""
            };
            Param.openGid = {
                openGIdArr: [],
                time: 0,
            };
            Param.shareVar = {
                shareTickets: "",
                code: "",
                iv: "",
                encryptedData: "",
                openGId: "",
            };
            Param.appInfo = {
                appid: "",
                banner_ad_id: "",
                video_ad_id: [],
                interstitial_ad_id: "",
                share_txt: [],
                share_img: [],
                shareType: 0,
                customADType: 0,
            };
            Param.url_Info = {
                server_url: "https://game.batwan.cn/",
                updateData_url: 'https://m.batwan.cn/api/game_visit.php',
                worldRank_url: 'https://my100.372124.com/worldrank/game_rank.php',
            };
            Param.shareTemp = {
                todayOtherClick: 0,
                total_days_login: 0,
                today: 0,
                today_ad_count: 0,
                today_prize_count: 0,
                today_share_count: 0,
                recent_share_time: 0,
                wx_share_type: 0,
                wx_share: 0,
                share_param: 0,
                firstLogin: 0,
                today_cancel_share: 0,
                today_push_share: 0
            };
            Param.shareFailTips = ["请分享到不同的群", "请分享给不同的好友", "请不要频繁分享到同一个地方"];
            Param.gift_param = {
                CashPack: [],
                OnlineLimitLibao: [],
                ZhuanPan: []
            };
            Param.gift_Times = {
                CashPack: 0,
                OnlineLimitLibao: 0,
                Zhuanpan: 0,
            };
            Param.game_config_getStatus = 4;
            Param.addr_param = 0;
            Param.redpacket_close = false;
            Param.share_close = false;
            Param.isValidated = false;
            Param.shareTimeLimit = 3000;
            Param.canGetOpenGId = false;
            Param.sbWxBtn = null;
            Param.callBack = {
                onHide: null,
                onShow: null,
            };
            Param.sceneNum = {
                onshow: 0,
                onLaunch: 0,
            };
            return Param;
        }());
        WxLiteGameAPI.Param = Param;
        /**
         * 获取服务器开关，开关打开时展示所有敏感内容
         */
        function checkVerify() {
            return Param.isValidated;
        }
        WxLiteGameAPI.checkVerify = checkVerify;
        function exitProgram() {
            wx.exitMiniProgram();
        }
        WxLiteGameAPI.exitProgram = exitProgram;
        function vibrateShort() {
            wx.vibrateShort();
        }
        WxLiteGameAPI.vibrateShort = vibrateShort;
        // export function checkAladinSDK() {
        //     return Param.appInfo.customADType === 1;
        // }
        function checkShareSwitch() {
            return !Param.share_close;
        }
        WxLiteGameAPI.checkShareSwitch = checkShareSwitch;
        function checkPacketSwitch() {
            return !Param.redpacket_close;
        }
        WxLiteGameAPI.checkPacketSwitch = checkPacketSwitch;
        function exitGame() {
            wx.exitMiniProgram();
        }
        WxLiteGameAPI.exitGame = exitGame;
        function checkFromMyMiniGame() {
            return Param.sceneNum.onshow === 1089 || Param.sceneNum.onLaunch === 1089;
        }
        WxLiteGameAPI.checkFromMyMiniGame = checkFromMyMiniGame;
        function shareImage(forReward, successCallback, failCallback, sceneNum, text, query) {
            if (forReward === void 0) { forReward = false; }
            if (successCallback === void 0) { successCallback = null; }
            if (failCallback === void 0) { failCallback = null; }
            if (text === void 0) { text = null; }
            if (query === void 0) { query = null; }
            wxShare.Manager.shareImage(forReward, successCallback, failCallback, sceneNum, text, query);
        }
        WxLiteGameAPI.shareImage = shareImage;
        function shareScreen(title, x, y, width, height) {
            wxShare.Manager.shareScreen(title, x, y, width);
        }
        WxLiteGameAPI.shareScreen = shareScreen;
        function updateWorldRankData(score, successCallBack, failCallback, url) {
            var _url = typeof url === 'string' && url.length > 0 ? url : Param.url_Info.worldRank_url;
            var _nouce = Date.now();
            var _param = {
                appId: Param.appInfo.appid,
                openId: Param.openid,
                nickName: Param.userInfo.nickName,
                avatarUrl: Param.userInfo.avatarUrl,
                nouce: _nouce,
                sign: XnhdAPI.Encrypt.hex_md5(Param.appInfo.appid + Param.openid + _nouce),
            };
            typeof score === 'number' && score > 0 && (_param['score'] = score);
            requestHttp(_url, function (e) {
                successCallBack && successCallBack(e);
            }, JSON.stringify(_param), function (f) {
                failCallback && failCallback(f);
            });
        }
        WxLiteGameAPI.updateWorldRankData = updateWorldRankData;
        /**
         * 返回用户的头像、昵称等信息
         */
        function getMyselfInfo() {
            return Param.userInfo;
        }
        WxLiteGameAPI.getMyselfInfo = getMyselfInfo;
        function init(WxLiteGameConfig, callback) {
            var open = XnhdAPI.WxLiteGameAPI.getDataFromCache("openId");
            if (typeof open === 'string') {
                Param.openid = open;
            }
            Param.appInfo.appid = WxLiteGameConfig.appid;
            Param.appInfo.banner_ad_id = WxLiteGameConfig.banner_ad_id;
            Param.appInfo.video_ad_id = WxLiteGameConfig.video_ad_id;
            typeof WxLiteGameConfig.interstitial_ad_id === 'string' && (Param.appInfo.interstitial_ad_id = WxLiteGameConfig.interstitial_ad_id);
            Param.appInfo.share_txt = WxLiteGameConfig.share_txt;
            Param.appInfo.share_img = WxLiteGameConfig.share_img;
            Param.appInfo.shareType = WxLiteGameConfig.channelIndex;
            Param.appInfo.customADType = WxLiteGameConfig.channelIndex;
            readDataWxNeed();
            AdManager.Default.initAdManager();
            login();
            Param.sceneNum.onLaunch = wx.getLaunchOptionsSync().scene;
            wx.onHide(function () {
                Param.callBack.onHide && Param.callBack.onHide();
            });
            wx.onShow(function (e) {
                XnhdAPI.logDebug('onshow 场景值：' + e.scene.toString());
                Param.sceneNum.onshow = e.scene;
                Param.callBack.onShow && Param.callBack.onShow();
                try {
                    core.AudioAndSetting.Manager.playMusic();
                    XnhdAPI.logDebug("wxLiteGameInit onShow >>> " + JSON.stringify(e));
                    if (e.query.openid) {
                        // XnhdAPI.Param.wxLiteOnShowLaunchArr.push(e.query);
                        if (e.query.openid != XnhdAPI.WxLiteGameAPI.Param.openid) {
                            e.query.shareid && updateShareStat(2, e.query.openid, e.query.shareid);
                            requestHttp(Param.url_Info.server_url + "api/game_invite.php", function (e) {
                                try {
                                    if (e.invite_list) {
                                        XnhdAPI.WxLiteGameAPI.Param.invite_list = e.invite_list;
                                    }
                                    XnhdAPI.logDebug("updateOnShowLaunchGameInvite success >> " + JSON.stringify(e));
                                }
                                catch (f) {
                                    XnhdAPI.logDebug("updateOnShowLaunchGameInvite success but >> " + JSON.stringify(f));
                                }
                            }, JSON.stringify({
                                appid: XnhdAPI.WxLiteGameAPI.Param.appInfo.appid,
                                fromopenid: e.query.openid,
                                openid: Param.openid,
                                avatar: Param.userInfo.avatarUrl,
                                nick: Param.userInfo.nickName
                            }));
                        }
                    }
                }
                catch (e) {
                    XnhdAPI.logError("wxliteGame init onshow fail >> " + e.toString());
                }
            });
            Param.game_config_getStatus > 3 && requestGameConfig();
            callback && callback();
        }
        WxLiteGameAPI.init = init;
        function reportWxChannel() {
            //上报  保存来自于参数
            var appId = '', Ads = '', AdsPos = '';
            try {
                var opts = wx.getLaunchOptionsSync();
                var query = opts.query;
                if (query.scene) {
                    //从二维码进入    scene 二维码规定格式为 目标小程序的Appid,ads,adsPos
                    var scene = query.scene;
                    if (scene) {
                        var sceneArray = decodeURIComponent(scene).split(',');
                        appId = sceneArray[0];
                        Ads = sceneArray[1];
                        AdsPos = sceneArray[2];
                    }
                }
                else if (query.Ads) {
                    // 来源小程序跳转  参数 以 path传递 pages/index/index?tgt=目标小程序appID&Ads=Ads&adsPos=adsPos
                    appId = query.tgt ? query.tgt : "";
                    Ads = query.Ads ? query.Ads : "";
                    AdsPos = query.AdsPos ? query.AdsPos : "";
                }
                else if (opts.referrerInfo
                    && opts.referrerInfo.extraData
                    && opts.referrerInfo.extraData.Ads) {
                    /*来源小程序跳转  参数以
                    extraData:{
                        tgt:APPID,
                        Ads:Ads,
                        AdsPos:AdsPos,
                    }
                    */
                    var extraData = opts.referrerInfo.extraData;
                    appId = extraData.tgt ? extraData.tgt : "";
                    Ads = extraData.Ads ? extraData.Ads : "";
                    AdsPos = extraData.AdsPos ? extraData.AdsPos : "";
                }
            }
            catch (error) {
            }
            var fromsParam = appId + "," + Ads + "," + AdsPos;
            Ads.length > 0 && AdsPos.length > 0 && requestHttp(Param.url_Info.updateData_url + "?appid=" + Param.appInfo.appid + "&openid=" + Param.openid + "&froms=" + fromsParam, null, "No Data");
        }
        function requestGameConfig() {
            var _this = this;
            if (Param.game_config_getStatus > 0) {
                var msg = JSON.stringify({
                    appid: Param.appInfo.appid,
                    openid: Param.openid,
                    days: Param.shareTemp.total_days_login,
                    total_days_login: Param.shareTemp.total_days_login,
                    today_ad_count: Param.shareTemp.today_ad_count,
                    today_prize_count: Param.shareTemp.today_prize_count,
                    today_share_count: Param.shareTemp.today_share_count,
                    total_hours_login: Math.floor((Date.now() - Param.shareTemp.firstLogin) / 3600000)
                });
                XnhdAPI.logDebug("request game_config: " + msg);
                XnhdAPI.WxLiteGameAPI.requestHttp(Param.url_Info.server_url + "api/game_config.php", function (e) {
                    Param.shareTemp.wx_share_type = e.wx_share_type;
                    Param.shareTemp.wx_share = e.wx_share;
                    Param.shareTemp.share_param = e.share_param;
                    if (e.todayOtherClick) {
                        Param.shareTemp.todayOtherClick = e.todayOtherClick;
                    }
                    if (e.gift_param) {
                        Param.gift_param.CashPack = e.gift_param.hongbao;
                        Param.gift_param.ZhuanPan = e.gift_param.zhuanpan;
                        Param.gift_param.OnlineLimitLibao = e.gift_param.zaixianlibao;
                    }
                    typeof e.redpacket_close === "number" && e.redpacket_close === 1 && (Param.redpacket_close = true);
                    typeof e.share_close === "number" && e.share_close === 1 && (Param.share_close = true);
                    e.tips_param && e.tips_param.length > 0 && (Param.shareFailTips = e.tips_param);
                    XnhdAPI.logDebug("game_config >>>>>> " + JSON.stringify(e));
                    // Param.appInfo.customADType === 0 && e.PromoteList && XnhdAPI.XnhdWxPush.wxPushInit(e.PromoteList)
                    // XnhdAPI.logDebug("红包开关 >>> " + Param.redpacket_close);
                    // XnhdAPI.logDebug("分享开关 >>> " + Param.share_close);
                    checkValidated(e.valid_ver);
                    Param.GAME_LIST = e.data;
                    Param.boxInfo = e.box_info;
                    Param.ADV_INFO = e.adv_info;
                    Param.game_config_getStatus = 0;
                    wxShare.Manager.init(e.share_image, e.wx_share);
                }, JSON.stringify({
                    appid: Param.appInfo.appid,
                    openid: Param.openid,
                    days: Param.shareTemp.total_days_login,
                    total_days_login: Param.shareTemp.total_days_login,
                    today_ad_count: Param.shareTemp.today_ad_count,
                    today_prize_count: Param.shareTemp.today_prize_count,
                    today_share_count: Param.shareTemp.today_share_count,
                    total_hours_login: Math.floor((Date.now() - Param.shareTemp.firstLogin) / 3600000)
                }), function () {
                    Laya.timer.frameLoop(60 * 60, _this, function () {
                        Param.game_config_getStatus--;
                        requestGameConfig();
                    });
                });
            }
        }
        function checkValidated(version) {
            // typeof addr_param === "number" && (Param.addr_param = addr_param);
            // if (core.GameDef.forNativeTest) {
            //     Param.isValidated = true;
            // } else if (Param.addr_param === 1) {
            //     Param.isValidated = false;
            // } else 
            if (version == XnhdAPI.Param.localConfig.version) {
                Param.isValidated = false;
            }
            else {
                Param.isValidated = true;
            }
            XnhdAPI.logDebug("GetWxValidated Done. Result == " + Param.isValidated);
        }
        function saveJsonDataToCache(key, content, successCallback, failCallback) {
            if (successCallback === void 0) { successCallback = null; }
            if (failCallback === void 0) { failCallback = null; }
            var a = JSON.stringify(content);
            wx.setStorage({
                key: key,
                data: a,
                success: function (e) {
                    successCallback && successCallback(e);
                },
                fail: function (f) {
                    failCallback && failCallback(f);
                },
            });
        }
        WxLiteGameAPI.saveJsonDataToCache = saveJsonDataToCache;
        function setOnShow(callback) {
            Param.callBack.onShow = callback;
        }
        WxLiteGameAPI.setOnShow = setOnShow;
        function setOnHide(callback) {
            Param.callBack.onHide = callback;
        }
        WxLiteGameAPI.setOnHide = setOnHide;
        function saveDataToCache(key, content, successCallback, failCallback) {
            if (successCallback === void 0) { successCallback = null; }
            if (failCallback === void 0) { failCallback = null; }
            wx.setStorage({
                key: key,
                data: content,
                success: function (e) {
                    if (successCallback) {
                        successCallback();
                    }
                },
                fail: function (f) {
                    if (failCallback) {
                        failCallback();
                    }
                },
            });
        }
        WxLiteGameAPI.saveDataToCache = saveDataToCache;
        function getDataFromCache(key) {
            var local = wx.getStorageSync(key);
            return local;
        }
        WxLiteGameAPI.getDataFromCache = getDataFromCache;
        function getJsonDataFromCache(key) {
            var local = wx.getStorageSync(key);
            if (local && local.length) {
                try {
                    local = JSON.parse(local);
                    return local;
                }
                catch (e) {
                    XnhdAPI.logError("wxLiteGameError--readDataFromCache " + key + " JSON.parse Fail >>" + e.toString());
                    var k = void 0;
                    return k;
                }
            }
            else {
                XnhdAPI.logError("wxLiteGameError--readDataFromCache " + key);
                return null;
            }
        }
        WxLiteGameAPI.getJsonDataFromCache = getJsonDataFromCache;
        function requestHttp(url, callback, data, failCallback) {
            if (failCallback === void 0) { failCallback = null; }
            XnhdAPI.logDebug("request >> " + url);
            wx.request({
                method: "POST",
                url: url,
                data: data,
                success: function (e) {
                    if (e.statusCode == 200) {
                        XnhdAPI.logDebug("GetRequest >> " + url);
                        callback && callback(e.data);
                    }
                    else {
                        XnhdAPI.logDebug("wxLiteGame requestHttp success but >>" + JSON.stringify(e));
                    }
                },
                fail: function (f) {
                    XnhdAPI.logDebug("wxLiteGame requestHttp fail >>" + f.toString());
                    failCallback && failCallback();
                }
            });
        }
        WxLiteGameAPI.requestHttp = requestHttp;
        function requestHttpOriginal(url, callback, data, failCallback) {
            if (failCallback === void 0) { failCallback = null; }
            XnhdAPI.logDebug("request >> " + url);
            wx.request({
                method: "POST",
                url: url,
                data: data,
                success: function (e) {
                    callback(e);
                },
                fail: function (f) {
                    if (failCallback) {
                        failCallback();
                    }
                    XnhdAPI.logDebug("wxLiteGame requestHttp fail >>" + f.toString());
                }
            });
        }
        WxLiteGameAPI.requestHttpOriginal = requestHttpOriginal;
        function deviceInfo() {
            return wx.getSystemInfoSync();
        }
        WxLiteGameAPI.deviceInfo = deviceInfo;
        // export function shareScreen(_title: string = null, _x: number = 0, _y: number = 0, _width: number, _quality: number = 0.7): void {
        //     let widthScale = Laya.Browser.width * Laya.stage.clientScaleX;
        //     let heightScale = Laya.Browser.height * Laya.stage.clientScaleY;
        //     let _originCanvas: Laya.HTMLCanvas = Laya.stage.drawToCanvas(widthScale, heightScale, 0, 0);
        //     let _shareCanvas = _originCanvas.getCanvas();
        //     let _height = _width / 5 * 4;
        //     _shareCanvas.toTempFilePath({
        //         x: _x,
        //         y: _y,
        //         width: _width,
        //         height: _height,
        //         fileType: "jpg",
        //         quality: _quality,
        //         success: function (res) {
        //             wx.shareAppMessage({
        //                 title: _title,
        //                 imageUrl: res.tempFilePath,
        //                 fail: function (res) {
        //                 },
        //                 success: function (res) {
        //                 }
        //             })
        //         }
        //     })
        // }
        /**
         * 102时，弹分享，但分享后必弹出失败提示
         * 101时，页面额外加红色提示:请发送到有效群才能获得奖励，弹分享
         * 0~100时，根据值对应的比例弹分享，例如为0时必弹微信视频广告，为100时必弹微信分享，为50时，两个几率各一半
         */
        function testShare() {
            if (Param.isValidated) {
                return Param.shareTemp.share_param;
            }
            else {
                return 0;
            }
        }
        WxLiteGameAPI.testShare = testShare;
        /**
         * 获取道具时，分享和看视频共存状态调用接口
         * @param successCallback
         * @param failCallback 失败会有返回错误码，返回1001表示分享失败，返回1002表示需要提示分享失败但实际上分享成功，返回2001表示视频没看完，返回2002表示该用户今天没有视频可看
         * @param share_param 默认为null,会有特殊情况
         * @param type 默认为0，1为现金红包，2为限时礼包，3为转盘
         */
        function clickForRewardMixed(successCallback, failCallback, share_param, type, updateShareData) {
            if (share_param === void 0) { share_param = null; }
            if (type === void 0) { type = 0; }
            if (updateShareData === void 0) { updateShareData = false; }
            if (typeof share_param === "number") {
            }
            else {
                share_param = Param.shareTemp.share_param;
            }
            if (!Param.isValidated || Param.share_close) {
                AdManager.Default.showWxLiteGameVideoAd(function () {
                    successCallback && successCallback();
                }, function (f) {
                    if (typeof f != "string") {
                        failCallback && failCallback(2002);
                    }
                    else {
                        failCallback && failCallback(2001);
                    }
                    ;
                });
            }
            else {
                XnhdAPI.logDebug("调用混合接口时的实际share_param >>>" + share_param);
                XnhdAPI.logDebug("调用混合接口时的本地记录的share_param >>>" + Param.shareTemp.share_param);
                if (share_param === 101) {
                    updateShareData && updateShareClick();
                    wxShare.Manager.shareImage(true, function () {
                        giftAddTimes(type);
                        successCallback && successCallback();
                    }, function () {
                        failCallback && failCallback(1001);
                    }, 20);
                }
                else if (share_param === 102) {
                    updateShareData && updateShareClick();
                    wxShare.Manager.shareImage(true, function () {
                        giftAddTimes(type);
                        failCallback && failCallback(1002);
                    }, function () {
                        failCallback && failCallback(1001);
                    }, 20);
                }
                else if (share_param < 101 && share_param > -1) {
                    var a = XnhdAPI.Tools.randomInt(1, 100);
                    if (a > share_param && AdManager.Default.getVideoStatus()) {
                        AdManager.Default.showWxLiteGameVideoAd(function () {
                            giftAddTimes(type);
                            successCallback && successCallback();
                        }, function (f) {
                            if (typeof f != "string") {
                                failCallback && failCallback(2002);
                            }
                            else {
                                failCallback && failCallback(2001);
                            }
                            ;
                        });
                    }
                    else {
                        updateShareData && updateShareClick();
                        wxShare.Manager.shareImage(true, function () {
                            giftAddTimes(type);
                            successCallback && successCallback();
                        }, function () {
                            failCallback && failCallback(1001);
                        }, 20);
                    }
                }
            }
        }
        WxLiteGameAPI.clickForRewardMixed = clickForRewardMixed;
        function updateShareClick() {
            Param.shareTemp.today_push_share++;
        }
        WxLiteGameAPI.updateShareClick = updateShareClick;
        function updateCancelShareClick() {
            Param.shareTemp.today_cancel_share++;
        }
        WxLiteGameAPI.updateCancelShareClick = updateCancelShareClick;
        function giftAddTimes(type) {
            switch (type) {
                case 0: break;
                case 1:
                    Param.gift_Times.CashPack++;
                    break;
                case 2:
                    Param.gift_Times.OnlineLimitLibao++;
                    break;
                case 3:
                    Param.gift_Times.Zhuanpan++;
                    break;
                default: XnhdAPI.logDebug("giftAddTimes Wrong type >> " + type.toString());
            }
        }
        function showWxToast(text) {
            wx.showToast({
                title: text,
                duration: 3000,
                mask: true
            });
        }
        WxLiteGameAPI.showWxToast = showWxToast;
        function openMiniApp(str, type, path, statid, qrcode) {
            if (typeof statid === "string" && statid.length > 0) {
                var nonce_ = Date.now().toString();
                var sign_ = XnhdAPI.WxLiteGameAPI.Param.appInfo.appid + statid + nonce_;
                sign_ = XnhdAPI.Encrypt.hex_md5(sign_);
                wx.request({
                    url: Param.url_Info.server_url + "api/game_stat.php",
                    data: {
                        appId: XnhdAPI.WxLiteGameAPI.Param.appInfo.appid,
                        statId: statid,
                        nonce: nonce_,
                        sign: sign_,
                        openId: Param.openid
                    },
                    success: function (e) {
                        XnhdAPI.logDebug(JSON.stringify(e));
                    },
                    fail: function (e) {
                        XnhdAPI.logDebug(JSON.stringify(e));
                    },
                    method: "POST",
                });
            }
            if (!path) {
                path = "";
            }
            if (type == 1) {
                wx.navigateToMiniProgram({
                    appId: str,
                    path: path,
                    extraData: "",
                    fail: function (res) {
                        if (res.errMsg) {
                            if (res.errMsg.indexOf("cancel") > -1) {
                            }
                            else {
                                wx.previewImage({
                                    current: qrcode,
                                    urls: [qrcode],
                                    success: function (e) {
                                        XnhdAPI.logDebug("load png ok");
                                    },
                                    fail: function (e) {
                                        XnhdAPI.logDebug(e.toString());
                                    }
                                });
                            }
                        }
                    }
                });
                return;
            }
            else if (type == 2) {
                wx.previewImage({
                    current: qrcode,
                    urls: [qrcode],
                    success: function (e) {
                        XnhdAPI.logDebug("load png ok");
                    },
                    fail: function (e) {
                        XnhdAPI.logDebug(e.toString());
                    }
                });
            }
        }
        WxLiteGameAPI.openMiniApp = openMiniApp;
        function initForGroupShare() {
            Param.openGid.time = Math.floor(Date.now() / 86400000);
            var e = XnhdAPI.WxLiteGameAPI.getDataFromCache("openGid");
            if (e && e.length) {
                try {
                    e = JSON.parse(e);
                    if (e.time != Param.openGid.time) {
                        XnhdAPI.WxLiteGameAPI.saveDataToCache("openGid", JSON.stringify(Param.openGid));
                    }
                    else {
                        Param.openGid.time = e.time;
                        Param.openGid.openGIdArr = e.openGIdArr;
                    }
                }
                catch (f) {
                    XnhdAPI.logDebug("error: position: initForGroupShare >>" + f.toString());
                    XnhdAPI.WxLiteGameAPI.saveDataToCache("openGid", JSON.stringify(Param.openGid));
                }
            }
            else {
                XnhdAPI.WxLiteGameAPI.saveDataToCache("openGid", JSON.stringify(Param.openGid));
            }
        }
        function getOpenGIDShare(_title, _url, successCallback) {
            wx.shareAppMessage({
                title: _title,
                imageUrl: _url,
                fail: function (err) {
                    XnhdAPI.logDebug('getShareTickets---err' + JSON.stringify(err));
                    XnhdAPI.showTips("分享失败");
                },
                success: function (res) {
                    Param.shareVar.shareTickets = res.shareTickets;
                    postForGId(successCallback);
                }
            });
        }
        function postForGId(successCallback, shareTickets) {
            if (shareTickets === void 0) { shareTickets = Param.shareVar.shareTickets; }
            XnhdAPI.WxLiteGameAPI.login(function () {
                wx.getShareInfo({
                    shareTicket: shareTickets,
                    success: function (e) {
                        Param.shareVar.encryptedData = e.encryptedData;
                        Param.shareVar.iv = e.iv;
                        wx.request({
                            url: Param.url_Info.server_url + "api/openGid.php",
                            method: 'POST',
                            data: {
                                code: Param.shareVar.code,
                                appId: Param.appInfo.appid,
                                encryptedData: Param.shareVar.encryptedData,
                                iv: Param.shareVar.iv,
                            },
                            success: function (s) {
                                if (s.data.openGId) {
                                    Param.shareVar.openGId = s.data.openGId;
                                    XnhdAPI.logDebug("Before " + JSON.stringify(Param.openGid));
                                    XnhdAPI.logDebug(s.data.openGId);
                                    if (Param.openGid.openGIdArr.length < 6 && Param.openGid.openGIdArr.indexOf(s.data.openGId) > -1) {
                                        // let failShow = new view.shareFailView("这个群您今天已经分享过了", Laya.stage);
                                        XnhdAPI.showTips("这个群您今天已经分享过了");
                                    }
                                    else if (Param.openGid.openGIdArr.length < 6) {
                                        Param.openGid.openGIdArr.push(Param.shareVar.openGId);
                                        XnhdAPI.logDebug("After " + JSON.stringify(Param.openGid));
                                        XnhdAPI.WxLiteGameAPI.saveDataToCache("openGid", JSON.stringify(Param.openGid));
                                        successCallback();
                                    }
                                    else {
                                        successCallback();
                                    }
                                }
                                else {
                                    // let failShow = new view.shareFailView("请分享到好友群里", Laya.stage);
                                    XnhdAPI.showTips("请分享到好友群里");
                                }
                            },
                            fail: function (err) {
                                XnhdAPI.logDebug('getOpenGId---err' + JSON.stringify(err));
                                // let failShow = new view.shareFailView("分享操作超时，请重试", Laya.stage);
                                XnhdAPI.showTips("分享操作超时，请重试");
                            }
                        });
                    },
                    fail: function (err) {
                        XnhdAPI.logDebug('getEncryptedData---err' + JSON.stringify(err));
                        // let failShow = new view.shareFailView("(・ω< )★分享到群里才可以领取奖励喔", Laya.stage);
                        XnhdAPI.showTips("(・ω< )★分享到群里才可以领取奖励喔");
                    }
                });
            });
        }
        function readDataWxNeed() {
            var share = XnhdAPI.WxLiteGameAPI.getDataFromCache("shareTemp");
            Param.shareTemp.firstLogin = Date.now();
            if (share && share.length) {
                try {
                    // XnhdAPI.logDebugLog.print(share);
                    share = JSON.parse(share);
                    Param.shareTemp.todayOtherClick = share.todayOtherClick;
                    Param.shareTemp.total_days_login = share.total_days_login;
                    Param.shareTemp.today = share.today;
                    Param.shareTemp.today_ad_count = share.today_ad_count;
                    Param.shareTemp.today_prize_count = share.today_prize_count;
                    Param.shareTemp.today_share_count = share.today_share_count;
                    Param.shareTemp.recent_share_time = share.recent_share_time;
                    Param.shareTemp.wx_share_type = share.wx_share_type;
                    Param.shareTemp.wx_share = share.wx_share;
                    Param.shareTemp.share_param = share.share_param;
                    typeof share.firstLogin === "number" && (Param.shareTemp.firstLogin = share.firstLogin);
                    typeof share.today_cancel_share === "number" && (Param.shareTemp.today_cancel_share = share.today_cancel_share);
                    typeof share.today_push_share === "number" && (Param.shareTemp.today_push_share = share.today_push_share);
                }
                catch (e) {
                    XnhdAPI.logError("readRewardData error >> " + e.toString());
                }
            }
            var authorize = XnhdAPI.WxLiteGameAPI.getDataFromCache("userInfo");
            if (authorize && authorize.length) {
                try {
                    authorize = JSON.parse(authorize);
                    XnhdAPI.WxLiteGameAPI.Param.userInfo.avatarUrl = authorize.avatarUrl;
                    XnhdAPI.WxLiteGameAPI.Param.userInfo.nickName = authorize.nickName;
                    XnhdAPI.WxLiteGameAPI.Param.userInfo.city = authorize.city;
                    XnhdAPI.WxLiteGameAPI.Param.userInfo.language = authorize.language;
                    XnhdAPI.WxLiteGameAPI.Param.userInfo.province = authorize.province;
                    XnhdAPI.WxLiteGameAPI.Param.userInfo.gender = authorize.gender;
                    XnhdAPI.WxLiteGameAPI.Param.userInfo.country = authorize.country;
                }
                catch (e) {
                    XnhdAPI.logError("readUserInfo error >> " + e.toString());
                }
            }
            var todayTemp = Math.floor(Date.now() / 86400000);
            if (todayTemp > Param.shareTemp.today) {
                Param.shareTemp.today = todayTemp;
                Param.shareTemp.total_days_login++;
                Param.shareTemp.today_ad_count = 0;
                Param.shareTemp.today_prize_count = 0;
                Param.shareTemp.today_share_count = 0;
                Param.shareTemp.today_cancel_share = 0;
                Param.shareTemp.today_push_share = 0;
                saveRewardData();
                Param.game_config_getStatus = 3;
                requestGameConfig();
            }
        }
        WxLiteGameAPI.readDataWxNeed = readDataWxNeed;
        function saveRewardData() {
            XnhdAPI.WxLiteGameAPI.saveDataToCache("shareTemp", JSON.stringify(XnhdAPI.WxLiteGameAPI.Param.shareTemp));
        }
        WxLiteGameAPI.saveRewardData = saveRewardData;
        function login(successCallback) {
            if (successCallback === void 0) { successCallback = null; }
            wx.login({
                fail: function (res) {
                    XnhdAPI.logError("微信登录失败");
                },
                success: function (res) {
                    // XnhdAPI.WxLiteGameAPI.AdManager.Default.updateAladinReport(1);
                    var code = res.code;
                    Param.shareVar.code = code;
                    if (Param.openid.length > 0) {
                        // WxLiteGameAPI.AdManager.Default.updateAladinReport(3, Param.openid);
                        reportWxChannel();
                        if (successCallback) {
                            successCallback();
                        }
                    }
                    else {
                        var url_ = Param.url_Info.server_url + "/api/game_openid.php?appId=" + Param.appInfo.appid +
                            "&code=" + code;
                        wx.request({
                            url: url_,
                            fail: function (res) {
                                XnhdAPI.logDebug("openid Fail: " + JSON.stringify(res));
                            },
                            success: function (res) {
                                XnhdAPI.logDebug("openid Success: " + JSON.stringify(res));
                                if (res.statusCode == 200) {
                                    if (res.data.openid && res.data.openid.length > 0) {
                                        Param.openid = res.data.openid;
                                        reportWxChannel();
                                        XnhdAPI.logDebug("openid: " + res.data.openid);
                                        XnhdAPI.WxLiteGameAPI.saveDataToCache("openId", Param.openid, function () {
                                            XnhdAPI.logDebug("save openid success");
                                        }, function () {
                                            XnhdAPI.logError("save openid fail");
                                        });
                                        // WxLiteGameAPI.AdManager.Default.updateAladinReport(3, Param.openid);
                                        XnhdAPI.WxLiteGameAPI.Subcontent.Manager.updateScore(0);
                                    }
                                }
                            },
                            complete: function (s) {
                                if (successCallback) {
                                    successCallback();
                                }
                            }
                        });
                    }
                }
            });
        }
        WxLiteGameAPI.login = login;
        /**
         * 获取邀请清单
         * @param successCallback 获取成功时的回调，返回参数是invite_list
         * @param failCallback 获取失败时的回调，传null时会有"好友邀请数据读取失败，请稍后再试"的黑框提示
         */
        function requestInviteList(successCallback, failCallback) {
            if (failCallback === void 0) { failCallback = null; }
            var url_ = Param.url_Info.server_url + "api/game_invite.php";
            requestHttp(url_, function (e) {
                if (successCallback) {
                    // XnhdAPI.logDebugLog.print("api/game_invite.php" + JSON.stringify(e));
                    successCallback(e.invite_list);
                }
            }, JSON.stringify({
                appid: Param.appInfo.appid,
                openid: Param.openid,
                getlist: 1,
                time: Date.now()
            }), function (f) {
                if (failCallback) {
                    failCallback();
                }
            });
        }
        WxLiteGameAPI.requestInviteList = requestInviteList;
        function updateUserInfo(successCallback, failCallback) {
            if (successCallback === void 0) { successCallback = null; }
            if (failCallback === void 0) { failCallback = null; }
            var url_ = Param.url_Info.server_url + "api/game_invite.php";
            requestHttp(url_, function (e) {
                if (successCallback) {
                    successCallback();
                }
            }, JSON.stringify({
                appid: Param.appInfo.appid,
                openid: Param.openid,
                avatar: Param.userInfo.avatarUrl,
                nick: Param.userInfo.nickName,
                getlist: 2,
                time: Date.now()
            }), function (f) {
                if (failCallback) {
                    failCallback();
                }
            });
        }
        WxLiteGameAPI.updateUserInfo = updateUserInfo;
        /**
         * 创建微信游戏圈按钮
         * @param iconType 4种字符串，"green"、"dark"、"white"、"light"
         */
        function createWxGameClubBtn(iconType, x, y, width, height) {
            var device = deviceInfo();
            x = Math.floor(device.screenWidth * x / XnhdAPI.Param.screenWidth);
            y = Math.floor(device.screenHeight * y / XnhdAPI.Param.screenHeight);
            width = Math.floor(device.screenWidth * width / XnhdAPI.Param.screenWidth);
            height = Math.floor(device.screenWidth * height / XnhdAPI.Param.screenWidth);
            var a = wx.createGameClubButton({
                icon: iconType,
                style: {
                    left: x,
                    top: y,
                    width: width,
                    height: height
                }
            });
            return a;
        }
        WxLiteGameAPI.createWxGameClubBtn = createWxGameClubBtn;
        function hideBtnWithAuthorize() {
            try {
                Param.sbWxBtn && Param.sbWxBtn.hide();
            }
            catch (e) {
                XnhdAPI.logError(e);
            }
        }
        WxLiteGameAPI.hideBtnWithAuthorize = hideBtnWithAuthorize;
        function destroyBtnWithAuthorize() {
            try {
                if (Param.sbWxBtn) {
                    Param.sbWxBtn.destroy();
                    Param.sbWxBtn = null;
                }
                ;
            }
            catch (e) {
                XnhdAPI.logError(e);
            }
        }
        WxLiteGameAPI.destroyBtnWithAuthorize = destroyBtnWithAuthorize;
        function showBtnWithAuthorize() {
            Param.sbWxBtn && Param.sbWxBtn.show();
        }
        WxLiteGameAPI.showBtnWithAuthorize = showBtnWithAuthorize;
        function checkWxAuthStatus(callback) {
            wx.getSetting({
                success: function (res) {
                    var authorizeStatus = false;
                    res.authSetting && res.authSetting["scope.userInfo"] && typeof res.authSetting["scope.userInfo"] === "boolean" && (authorizeStatus = res.authSetting["scope.userInfo"]);
                    callback(authorizeStatus);
                }
            });
        }
        WxLiteGameAPI.checkWxAuthStatus = checkWxAuthStatus;
        function createBtnWithAuthorize(button, imageURL, successCallback, failCallback) {
            var buttonPos = button.localToGlobal(new Laya.Point(0, 0));
            var authorizeStatus = false;
            var device = deviceInfo(), x = buttonPos.x, y = buttonPos.y, width = button.width, height = button.height, skin = imageURL.length > 0 ? imageURL : button.skin;
            wx.getSetting({
                success: function (res) {
                    XnhdAPI.logDebug(res);
                    res.authSetting && res.authSetting["scope.userInfo"] && typeof res.authSetting["scope.userInfo"] === "boolean" && (authorizeStatus = res.authSetting["scope.userInfo"]);
                    if (!authorizeStatus) {
                        if (Param.sbWxBtn === null) {
                            try {
                                x = Math.floor(device.screenWidth * x / Laya.Browser.width);
                                y = Math.floor(device.screenHeight * y / Laya.Browser.height);
                                width = device.screenWidth * width / XnhdAPI.Param.screenWidth;
                                height = device.screenHeight * height / XnhdAPI.Param.screenHeight;
                                Param.sbWxBtn = wx.createUserInfoButton({
                                    type: "image",
                                    image: skin,
                                    style: {
                                        left: x,
                                        top: y,
                                        width: width,
                                        height: height
                                    },
                                    withCredentials: false
                                });
                                // Param.sbWxBtn.hide();
                                Param.sbWxBtn.onTap(function (f) {
                                    wx.getUserInfo({
                                        success: function (res) {
                                            XnhdAPI.WxLiteGameAPI.Param.userInfo.avatarUrl = res.userInfo.avatarUrl;
                                            XnhdAPI.WxLiteGameAPI.Param.userInfo.nickName = res.userInfo.nickName;
                                            XnhdAPI.WxLiteGameAPI.Param.userInfo.city = res.userInfo.city;
                                            XnhdAPI.WxLiteGameAPI.Param.userInfo.language = res.userInfo.language;
                                            XnhdAPI.WxLiteGameAPI.Param.userInfo.province = res.userInfo.province;
                                            XnhdAPI.WxLiteGameAPI.Param.userInfo.gender = res.userInfo.gender;
                                            XnhdAPI.WxLiteGameAPI.Param.userInfo.country = res.userInfo.country;
                                            updateUserInfo();
                                            saveUserData();
                                            successCallback && successCallback();
                                        },
                                        fail: function (f) {
                                            failCallback && failCallback();
                                        },
                                        complete: function (c) {
                                            Param.sbWxBtn.offTap();
                                            Param.sbWxBtn.hide();
                                        }
                                    });
                                });
                            }
                            catch (e) {
                                XnhdAPI.logError(e);
                            }
                        }
                    }
                }
            });
        }
        WxLiteGameAPI.createBtnWithAuthorize = createBtnWithAuthorize;
        function saveUserData() {
            XnhdAPI.WxLiteGameAPI.saveDataToCache("userInfo", JSON.stringify(Param.userInfo));
        }
        /**
         * 上报Xnhd分享图数据
         * @param _type 上报方式，1=分享，2=点击
         * @param _shareid 图片的ID
         */
        function updateShareStat(_type, _openid, _shareid) {
            var a = JSON.stringify({
                appid: Param.appInfo.appid,
                openid: _openid,
                type: _type,
                shareid: _shareid
            });
            XnhdAPI.logDebug('上报分享图点击' + a);
            requestHttp(Param.url_Info.server_url + 'api/game_sharestat.php', null, a);
        }
        var wxShare = /** @class */ (function () {
            function wxShare() {
                this.shareContent = [];
                this._shareContentCache = [];
            }
            wxShare.prototype.saveWxShareContent = function () {
                saveDataToCache('shareContent', this.shareContent);
            };
            wxShare.prototype.findShareImageData = function (id, content) {
                for (var i = 0; i < content.length; i++) {
                    if (content[i].id === id) {
                        return content[i];
                    }
                }
                return null;
            };
            wxShare.prototype.getWxShareInfo = function () {
                var a = [];
                for (var i = 0; i < this._shareContentCache.length; i++) {
                    if (this._shareContentCache[i].path.length > 0) {
                        a.push(i);
                    }
                }
                if (a.length > 0) {
                    var r = a[XnhdAPI.Tools.randomInt(0, a.length - 1)];
                    return this.shareContent[r];
                }
                else {
                    return null;
                }
            };
            wxShare.prototype.init = function (tempShareContent, wx_share) {
                var _this = this;
                if (Param.appInfo.shareType === 0) {
                    this._FileSystemManager = wx.getFileSystemManager();
                    wx.showShareMenu({
                        withShareTicket: true,
                    });
                    wx.onShareAppMessage(function () {
                        if (Param.isValidated && _this.shareContent.length > 0) {
                            var a = _this.shareContent[XnhdAPI.Tools.randomInt(1, _this.shareContent.length) - 1];
                            var _query = 'openid=' + XnhdAPI.WxLiteGameAPI.Param.openid + '&shareid=' + a.id + '&shareScene=1';
                            XnhdAPI.logDebug('分享图片参数: ' + _query);
                            return {
                                title: a.txt,
                                imageUrl: a.url,
                                query: _query
                            };
                        }
                        else {
                            var _query = 'openid=' + XnhdAPI.WxLiteGameAPI.Param.openid + '&shareScene=1';
                            XnhdAPI.logDebug('分享图片参数: ' + _query);
                            return {
                                title: Param.appInfo.share_txt[0],
                                imageUrl: Param.appInfo.share_img[0],
                                query: 'openid=' + XnhdAPI.WxLiteGameAPI.Param.openid + '&shareScene=1'
                            };
                        }
                    });
                    this._shareContentCache = getDataFromCache('shareContent');
                    if (tempShareContent && tempShareContent.length > 0) {
                        for (var i = 0; i < tempShareContent.length; i++) {
                            var localCache = this.findShareImageData(tempShareContent[i].id, this._shareContentCache);
                            var img = {
                                id: tempShareContent[i].id,
                                url: tempShareContent[i].url,
                                txt: tempShareContent[i].txt,
                                path: ''
                            };
                            this.shareContent.push(img);
                            if (localCache) {
                                img.path = localCache.path;
                            }
                            else {
                                this.downloadShareImage(i);
                            }
                        }
                        this.dealNoUsedImg();
                    }
                }
            };
            wxShare.prototype.dealNoUsedImg = function () {
                var _this = this;
                var _loop_1 = function (i) {
                    var a = this_1.findShareImageData(this_1._shareContentCache[i].id, this_1.shareContent);
                    if (a) { }
                    else {
                        this_1._FileSystemManager.access({
                            path: this_1._shareContentCache[i].path,
                            success: function () {
                                _this._FileSystemManager.removeSavedFile({
                                    path: _this._shareContentCache[i].path
                                });
                            }
                        });
                    }
                };
                var this_1 = this;
                for (var i = 0; i < this._shareContentCache.length; i++) {
                    _loop_1(i);
                }
            };
            wxShare.prototype.downloadShareImage = function (imgIndex, failCallback) {
                var _this = this;
                if (failCallback === void 0) { failCallback = null; }
                var downloadImg = this.shareContent[imgIndex];
                wx.downloadFile({
                    url: downloadImg.url,
                    success: function (res) {
                        _this._FileSystemManager.saveFile({
                            tempFilePath: res.tempFilePath,
                            success: function (result) {
                                downloadImg.path = result.savedFilePath;
                                _this.saveWxShareContent();
                            },
                            fail: function (e) {
                                failCallback && failCallback(e);
                                XnhdAPI.logError("保存失败" + e.toString());
                            }
                        });
                    },
                    fail: function (e) {
                        failCallback && failCallback(e);
                        XnhdAPI.logError("下载失败" + e.toString());
                    }
                });
            };
            //开关控制分享，1=使用aladinSDK，0=使用我们自己的分享
            wxShare.prototype.shareImage = function (forReward, successCallback, failCallback, sceneNum, text, queryAdd) {
                if (forReward === void 0) { forReward = false; }
                if (text === void 0) { text = ""; }
                if (queryAdd === void 0) { queryAdd = ""; }
                // if (Param.appInfo.shareType === 1) {
                //     Param.shareTemp.recent_share_time = Date.now();
                //     let a = function onshow(e) {
                //         try {
                //             if ((Date.now() - Param.shareTemp.recent_share_time) > Param.shareTimeLimit) {
                //                 if (forReward) {
                //                     XnhdAPI.WxLiteGameAPI.Param.shareTemp.today_prize_count++;
                //                 }
                //                 XnhdAPI.WxLiteGameAPI.Param.shareTemp.today_share_count++;
                //                 let k: string = JSON.stringify({
                //                     appid: XnhdAPI.WxLiteGameAPI.Param.appInfo.appid,
                //                     openid: XnhdAPI.WxLiteGameAPI.Param.openid,
                //                     type: 1,
                //                     total_days_login: Param.shareTemp.total_days_login,
                //                     today_ad_count: Param.shareTemp.today_ad_count,
                //                     today_prize_count: Param.shareTemp.today_prize_count,
                //                     today_share_count: Param.shareTemp.today_share_count,
                //                     total_hours_login: Math.floor((Date.now() - Param.shareTemp.firstLogin) / 3600000),
                //                     today_push_share: Param.shareTemp.today_push_share,
                //                     today_cancel_share: Param.shareTemp.today_cancel_share,
                //                     addr_param: Param.addr_param
                //                 })
                //                 XnhdAPI.logDebug("分享后发送的数据>>>>>>" + k)
                //                 XnhdAPI.WxLiteGameAPI.requestHttp(Param.url_Info.server_url + "api/share_stat.php", (e) => {
                //                     if (typeof e.todayOtherClick === "number") {
                //                         Param.shareTemp.todayOtherClick = e.todayOtherClick;
                //                     }
                //                     if (typeof e.share_param === "number") {
                //                         Param.shareTemp.share_param = e.share_param;
                //                     }
                //                     XnhdAPI.logDebug("分享上传数据成功，服务端返回>>>>" + JSON.stringify(e))
                //                 }, k)
                //                 successCallback && successCallback();
                //                 saveRewardData();
                //             } else {
                //                 failCallback && failCallback()
                //             }
                //             wx.offShow(a);
                //         } catch (err) {
                //             XnhdAPI.logError("wxshare onshow fail >>" + err.toString())
                //             wx.offShow(a);
                //         }
                //     }
                //     wx.onShow(a);
                //     let txt: string, path: string;
                //     if (!Param.isValidated) {
                //         let idx = XnhdAPI.Tools.randomInt(0, Param.appInfo.share_img.length - 1);
                //         txt = Param.appInfo.share_txt[idx];
                //         path = Param.appInfo.share_img[idx];
                //     }
                //     if (text && text.length > 0) { txt = text; }
                //     if (txt && txt.length > 0) {
                //         if (queryAdd && queryAdd.length > 0) {
                //             wx.shareAppMessage({
                //                 title: txt,
                //                 query: "openid=" + XnhdAPI.WxLiteGameAPI.Param.openid + "&shareScene=" + sceneNum.toString() + "&" + queryAdd
                //             });
                //         } else {
                //             wx.shareAppMessage({
                //                 title: txt,
                //                 query: "openid=" + XnhdAPI.WxLiteGameAPI.Param.openid + "&shareScene=" + sceneNum.toString()
                //             });
                //         };
                //     } else {
                //         if (queryAdd && queryAdd.length > 0) {
                //             wx.shareAppMessage({
                //                 query: "openid=" + XnhdAPI.WxLiteGameAPI.Param.openid + "&shareScene=" + sceneNum.toString() + "&" + queryAdd
                //             });
                //         } else {
                //             wx.shareAppMessage({
                //                 query: "openid=" + XnhdAPI.WxLiteGameAPI.Param.openid + "&shareScene=" + sceneNum.toString()
                //             });
                //         };
                //     }
                // } else 
                if (Param.appInfo.shareType === 0) {
                    var shareContent = wxShare.Manager.getWxShareInfo();
                    var useDefaultImg = true;
                    var txt = void 0, path = void 0;
                    if (Param.isValidated && shareContent) {
                        txt = shareContent.txt;
                        path = shareContent.path;
                        useDefaultImg = false;
                    }
                    else {
                        var idx = XnhdAPI.Tools.randomInt(0, Param.appInfo.share_img.length - 1);
                        txt = Param.appInfo.share_txt[idx];
                        path = Param.appInfo.share_img[idx];
                    }
                    if (text && text.length > 0) {
                        txt = text;
                    }
                    Param.shareTemp.recent_share_time = Date.now();
                    var a_1 = function onshow(e) {
                        try {
                            if ((Date.now() - Param.shareTemp.recent_share_time) > Param.shareTimeLimit) {
                                if (forReward) {
                                    XnhdAPI.WxLiteGameAPI.Param.shareTemp.today_prize_count++;
                                }
                                XnhdAPI.WxLiteGameAPI.Param.shareTemp.today_share_count++;
                                var k = JSON.stringify({
                                    appid: XnhdAPI.WxLiteGameAPI.Param.appInfo.appid,
                                    openid: XnhdAPI.WxLiteGameAPI.Param.openid,
                                    type: 1,
                                    total_days_login: Param.shareTemp.total_days_login,
                                    today_ad_count: Param.shareTemp.today_ad_count,
                                    today_prize_count: Param.shareTemp.today_prize_count,
                                    today_share_count: Param.shareTemp.today_share_count,
                                    total_hours_login: Math.floor((Date.now() - Param.shareTemp.firstLogin) / 3600000),
                                    today_push_share: Param.shareTemp.today_push_share,
                                    today_cancel_share: Param.shareTemp.today_cancel_share,
                                    addr_param: Param.addr_param
                                });
                                XnhdAPI.logDebug("分享后发送的数据>>>>>>" + k);
                                XnhdAPI.WxLiteGameAPI.requestHttp(Param.url_Info.server_url + "api/share_stat.php", function (e) {
                                    if (typeof e.todayOtherClick === "number") {
                                        Param.shareTemp.todayOtherClick = e.todayOtherClick;
                                    }
                                    if (typeof e.share_param === "number") {
                                        Param.shareTemp.share_param = e.share_param;
                                    }
                                    XnhdAPI.logDebug("分享成功" + JSON.stringify(e));
                                }, k);
                                successCallback && successCallback();
                            }
                            else {
                                failCallback && failCallback();
                            }
                            wx.offShow(a_1);
                        }
                        catch (err) {
                            XnhdAPI.logError("wxshare onshow fail >>" + err.toString());
                            wx.offShow(a_1);
                        }
                    };
                    wx.onShow(a_1);
                    var shareid = useDefaultImg ? '' : '&shareid=' + shareContent.id;
                    if (queryAdd && queryAdd.length > 0) {
                        wx.shareAppMessage({
                            title: txt,
                            imageUrl: path,
                            query: "openid=" + XnhdAPI.WxLiteGameAPI.Param.openid + shareid + "&" + queryAdd
                        });
                    }
                    else {
                        wx.shareAppMessage({
                            title: txt,
                            imageUrl: path,
                            query: "openid=" + XnhdAPI.WxLiteGameAPI.Param.openid + shareid
                        });
                    }
                    ;
                    !useDefaultImg && updateShareStat(1, Param.openid, shareContent.id);
                }
            };
            wxShare.prototype.shareImageWithShareTicket = function (successCallback) {
                // let shareContent = wxShare.Manager.getWxShareInfo();
                // let useDefaultImg = true;
                // let txt, path;
                // if (wxShare.shareContent.length > 0 && Param.isValidated) {
                //     let index = XnhdTools.randomInt(0, wxShare.shareContent.length - 1);
                //     txt = wxShare.shareContent[index].txt;
                //     path = wxShare.shareContent[index].url;
                // } else {
                //     let idx = XnhdTools.randomInt(0, Param.appInfo.share_img.length - 1);
                //     txt = Param.appInfo.share_txt[idx];
                //     path = Param.appInfo.share_img[idx];
                // }
                // getOpenGIDShare(txt, path, successCallback);
            };
            wxShare.prototype.shareScreen = function (_title, _x, _y, _width, _quality) {
                if (_title === void 0) { _title = null; }
                if (_x === void 0) { _x = 0; }
                if (_y === void 0) { _y = 0; }
                if (_quality === void 0) { _quality = 0.7; }
                var widthScale = Laya.Browser.width * Laya.stage.clientScaleX;
                var heightScale = Laya.Browser.height * Laya.stage.clientScaleY;
                var _originCanvas = Laya.stage.drawToCanvas(widthScale, heightScale, 0, 0);
                var _shareCanvas = _originCanvas.getCanvas();
                var _height = _width / 5 * 4;
                _shareCanvas.toTempFilePath({
                    x: _x,
                    y: _y,
                    width: _width,
                    height: _height,
                    fileType: "jpg",
                    quality: _quality,
                    success: function (res) {
                        wx.shareAppMessage({
                            title: _title,
                            imageUrl: res.tempFilePath,
                            fail: function (res) {
                            },
                            success: function (res) {
                            }
                        });
                    }
                });
            };
            wxShare.Manager = new wxShare;
            return wxShare;
        }());
        var wxSubCommand = {
            TextColorChange: "TextColorChange",
            ClearWxSubCanvas: "ClearWxSubCanvas",
            RankListChange: "RankListChange",
            SmallRankListChange: "SmallRankListChange",
            showRankList: "FetchFriendScore",
            showSmallRankList: "HorConmpar",
            Scrolling: "Scrolling",
            FetchNextFriend: "FetchNextFriend",
            ShowNextFriend: "ShowNextFriend",
        };
        //微信子域排行榜管理器，进入登录界面时调用init()初始化一下
        var Subcontent = /** @class */ (function () {
            function Subcontent() {
            }
            Subcontent.prototype.init = function () {
                //初始化子域画布大小
                Laya.Browser.window.sharedCanvas.width = XnhdAPI.Param.screenWidth;
                Laya.Browser.window.sharedCanvas.height = XnhdAPI.Param.screenHeight;
                //初始化排行榜文字颜色
                try {
                    wx.getOpenDataContext().postMessage({
                        action: wxSubCommand.TextColorChange,
                        data: "#ffffff",
                    });
                }
                catch (e) {
                    Laya.timer.once(1000, this, this.init);
                }
            };
            Subcontent.prototype.updateScore = function (score) {
                var _this = this;
                try {
                    var kvDataList = new Array();
                    var date = new Date().getTime();
                    var myValue = JSON.stringify({
                        "wxgame": {
                            "score": score,
                            "update_time": date.toString(),
                        }
                    });
                    kvDataList.push({ key: "score", value: myValue });
                    wx.setUserCloudStorage({
                        KVDataList: kvDataList,
                        success: function (r) {
                            XnhdAPI.logDebug("上传分数成功");
                        }
                    });
                }
                catch (e) {
                    Laya.timer.once(1000, this, function () {
                        _this.updateScore(score);
                    });
                }
            };
            Subcontent.prototype.changeSubCanvas = function (width, height) {
                wx.getOpenDataContext().canvas.width = width;
                wx.getOpenDataContext().canvas.height = height;
            };
            Subcontent.prototype.closeWxSub = function () {
                Laya.timer.clearAll(this);
                try {
                    wx.getOpenDataContext().postMessage({
                        action: wxSubCommand.ClearWxSubCanvas
                    });
                    if (this._subCtxTexture) {
                        this._subCtxTexture = null;
                    }
                    if (this._subCtxSprite) {
                        this._subCtxSprite.destroy();
                        this._subCtxSprite = null;
                    }
                }
                catch (e) {
                    // Laya.timer.once(1000, this, this.closeWxSub);
                }
            };
            Subcontent.prototype.moveRankList = function (offsetY) {
                if (offsetY != 0) {
                    try {
                        wx.getOpenDataContext().postMessage({
                            action: wxSubCommand.Scrolling,
                            data: -offsetY,
                        });
                    }
                    catch (e) { }
                }
            };
            Subcontent.prototype.showRankList = function (parent) {
                var _this = this;
                try {
                    if (parent && !parent.destroyed) {
                        this.changeSubCanvas(parent.width, parent.height);
                        wx.getOpenDataContext().postMessage({
                            action: wxSubCommand.RankListChange,
                            data: parent.width,
                        });
                        if (this._subCtxSprite) {
                            this.closeWxSub();
                        }
                        wx.getOpenDataContext().postMessage({
                            action: wxSubCommand.showRankList,
                        });
                        this._subCtxSprite = new Laya.Sprite();
                        this._subCtxSprite.size(parent.width, parent.height);
                        parent.addChild(this._subCtxSprite);
                        this._subCtxTexture = new Laya.Texture(Laya.Browser.window.sharedCanvas);
                        this._subCtxTexture.bitmap.alwaysChange = true;
                        this._subCtxSprite.graphics.drawTexture(this._subCtxTexture);
                    }
                }
                catch (e) {
                    Laya.timer.once(1000, this, function () {
                        _this.showRankList(parent);
                    });
                }
            };
            Subcontent.prototype.showSmallRankList = function (parent) {
                var _this = this;
                try {
                    if (parent && !parent.destroyed) {
                        this.changeSubCanvas(parent.width, parent.height);
                        wx.getOpenDataContext().postMessage({
                            action: wxSubCommand.SmallRankListChange,
                            data: parent.width,
                            dataEx: parent.height
                        });
                        if (this._subCtxSprite) {
                            this.closeWxSub();
                        }
                        wx.getOpenDataContext().postMessage({
                            action: wxSubCommand.showSmallRankList,
                        });
                        this._subCtxSprite = new Laya.Sprite();
                        this._subCtxSprite.size(parent.width, parent.height);
                        parent.addChild(this._subCtxSprite);
                        this._subCtxTexture = new Laya.Texture(Laya.Browser.window.sharedCanvas);
                        this._subCtxTexture.bitmap.alwaysChange = true;
                        this._subCtxSprite.graphics.drawTexture(this._subCtxTexture);
                    }
                }
                catch (e) {
                    Laya.timer.once(1000, this, function () {
                        _this.showSmallRankList(parent);
                    });
                }
            };
            Subcontent.prototype.initFriendScore = function () {
                try {
                    wx.getOpenDataContext().postMessage({
                        action: wxSubCommand.FetchNextFriend,
                    });
                }
                catch (e) {
                    Laya.timer.once(1000, this, this.initFriendScore);
                }
            };
            Subcontent.prototype.showNextFriend = function (parent, score) {
                var _this = this;
                try {
                    if (parent && !parent.destroyed) {
                        if (this._subCtxSprite) {
                            this.closeWxSub();
                        }
                        this.initFriendScore();
                        Laya.timer.once(2000, this, function () {
                            _this.changeSubCanvas(parent.width, parent.height);
                            wx.getOpenDataContext().postMessage({
                                action: wxSubCommand.ShowNextFriend,
                                data: score,
                            });
                            _this._subCtxSprite = new Laya.Sprite();
                            _this._subCtxSprite.size(parent.width, parent.height);
                            parent.addChild(_this._subCtxSprite);
                            _this._subCtxTexture = new Laya.Texture(Laya.Browser.window.sharedCanvas);
                            _this._subCtxTexture.bitmap.alwaysChange = true;
                            _this._subCtxSprite.graphics.drawTexture(_this._subCtxTexture);
                        });
                    }
                }
                catch (e) {
                    Laya.timer.once(1000, this, function () {
                        _this.showNextFriend(parent, score);
                    });
                }
            };
            Subcontent.prototype.changeNextFriend = function (score) {
                var _this = this;
                try {
                    if (this._subCtxSprite) {
                        wx.getOpenDataContext().postMessage({
                            action: wxSubCommand.ShowNextFriend,
                            data: score,
                        });
                    }
                }
                catch (e) {
                    Laya.timer.once(1000, this, function () {
                        _this.changeNextFriend(score);
                    });
                }
            };
            Subcontent.Manager = new Subcontent;
            return Subcontent;
        }());
        WxLiteGameAPI.Subcontent = Subcontent;
        var AdManager = /** @class */ (function () {
            function AdManager() {
                this._bannerAd = null;
                this._bannerReady = false;
                this._interstitialAd = null;
                this._interstitialReady = false;
                this._videoAd = null;
                this._videoIndex = 0;
                this._videoPlayTimes = 0;
                this._videoReady = false;
                this.updateAladinOpenidSwitch = true;
                this.updateAladinOpenidAlready = false;
            }
            AdManager.prototype.initAdManager = function () {
                // this.initAladin();
                this.initWxLiteBanner();
                this.initWxLiteVideo();
                this.initInterstitialAd();
            };
            AdManager.prototype.initInterstitialAd = function () {
                var _this = this;
                if (Param.appInfo.interstitial_ad_id.length > 5) {
                    try {
                        this._interstitialAd = wx.createInterstitialAd({ adUnitId: Param.appInfo.interstitial_ad_id });
                        this._interstitialAd.onLoad(function (e) {
                            _this._interstitialReady = true;
                        });
                        this._interstitialAd.onError(function (f) {
                            XnhdAPI.logError("load WxLiteGame InterstitialAd fail, errMsg >> " + JSON.stringify(f));
                            if (_this._interstitialFailCallback) {
                                _this._interstitialFailCallback();
                                _this._interstitialFailCallback = null;
                            }
                        });
                        this._interstitialAd.onClose(function (f) {
                            if (_this._interstitialCloseCallback) {
                                _this._interstitialCloseCallback();
                                _this._interstitialCloseCallback = null;
                            }
                        });
                    }
                    catch (e) { }
                }
            };
            AdManager.prototype.showWxInterstitial = function (successCallback, failCallback) {
                if (this._interstitialReady) {
                    this._interstitialCloseCallback = successCallback;
                    this._interstitialFailCallback = failCallback;
                    this._interstitialAd.show();
                }
            };
            AdManager.prototype.initWxLiteBanner = function (lag) {
                var _this = this;
                if (lag === void 0) { lag = 1; }
                if (Param.appInfo.banner_ad_id.length > 5) {
                    var fromTop = void 0, leftDistance = void 0;
                    var info = wx.getSystemInfoSync();
                    this.adScreenWidth = info.screenWidth;
                    this.adScreenHeight = info.screenHeight;
                    fromTop = 1624 / XnhdAPI.Param.screenHeight * this.adScreenHeight;
                    leftDistance = this.adScreenWidth * 0.075;
                    if (this.adScreenWidth * 0.85 < 300) {
                        leftDistance = (this.adScreenWidth - 300) / 2;
                    }
                    try {
                        this._bannerAd = wx.createBannerAd({
                            adUnitId: Param.appInfo.banner_ad_id,
                            adIntervals: 90,
                            style: {
                                left: Math.floor(leftDistance),
                                top: Math.floor(fromTop),
                                width: Math.floor(this.adScreenWidth * 0.85)
                            }
                        });
                        this._bannerAd.onLoad(function () {
                            _this._bannerReady = true;
                        });
                        this._bannerAd.onError(function (f) {
                            _this._bannerReady = false;
                            XnhdAPI.logError("load WxLiteGameBannerAd fail, errMsg >> " + JSON.stringify(f));
                            _this._bannerAd.offError();
                            _this._bannerAd.offLoad();
                            _this._bannerAd.destroy();
                            Laya.timer.once(lag * 500, _this, _this.initWxLiteBanner, [lag * 2]);
                        });
                    }
                    catch (e) {
                        Laya.timer.once(lag * 500, this, this.initWxLiteBanner, [lag * 2]);
                    }
                }
            };
            AdManager.prototype.showWxLiteGameBannerAd = function (top) {
                if (this._bannerAd != null) {
                    if (this._bannerReady) {
                        this._bannerAd.style.top = Math.floor(top / (750 / this.adScreenWidth * this.adScreenHeight) * this.adScreenHeight);
                        this._bannerAd.show();
                        // XnhdAPI.XnhdWxPush.hideBotBanner();
                    }
                    //  else {
                    //     Laya.timer.once(1000, this, () => { this.showWxLiteGameBannerAd(top) });
                    // }
                }
            };
            AdManager.prototype.hideWxLiteGameBannerAd = function () {
                if (this._bannerAd != null) {
                    this._bannerAd.hide();
                }
            };
            AdManager.prototype.destroyWxLiteGameBannerAd = function () {
                if (this._bannerAd != null) {
                    try {
                        this._bannerAd.destroy();
                        this._bannerAd = null;
                        this._bannerReady = false;
                        Laya.timer.once(1000, this, this.initWxLiteBanner);
                    }
                    catch (e) {
                        XnhdAPI.logDebug("error: position: destroyWxLiteGameBannerAd >>" + e.toString());
                    }
                }
            };
            AdManager.prototype.initWxLiteVideo = function () {
                if (Param.appInfo.video_ad_id[0] && Param.appInfo.video_ad_id[0].length > 0) {
                    this.initOneVideo();
                }
            };
            AdManager.prototype.initOneVideo = function () {
                var _this = this;
                this._videoReady = false;
                if (this._videoAd) {
                    this._videoAd.offError();
                    this._videoAd.offLoad();
                }
                if (this._videoIndex < Param.appInfo.video_ad_id.length) {
                    try {
                        this._videoAd = wx.createRewardedVideoAd({
                            adUnitId: Param.appInfo.video_ad_id[this._videoIndex],
                        });
                        this._videoAd.onLoad(function () {
                            _this._videoReady = true;
                        });
                        this._videoAd.onError(function (f) {
                            _this._videoReady = false;
                            XnhdAPI.logError("Load videoAd fail, errMsg >> " + JSON.stringify(f));
                            if (typeof f.errCode === "number") {
                                if ([1000, 1003].indexOf(f.errCode) > -1) {
                                    Laya.timer.frameOnce(300, _this, function () {
                                        _this._videoAd.load();
                                    });
                                }
                                else {
                                    Laya.timer.frameOnce(300, _this, function () {
                                        _this._videoIndex++;
                                        _this.initOneVideo();
                                    });
                                }
                            }
                        });
                        this._videoAd.load();
                    }
                    catch (e) { }
                }
            };
            AdManager.prototype.getVideoStatus = function () {
                return this._videoReady;
            };
            AdManager.prototype.showWxLiteGameVideoAd = function (successCallback, failCallback) {
                var _this = this;
                if (this._videoReady) {
                    this._videoAd.onClose(function (res) {
                        if (res === undefined || (res && res.isEnded)) {
                            XnhdAPI.WxLiteGameAPI.Param.shareTemp.today_ad_count++;
                            XnhdAPI.WxLiteGameAPI.Param.shareTemp.today_prize_count++;
                            var k = JSON.stringify({
                                appid: XnhdAPI.WxLiteGameAPI.Param.appInfo.appid,
                                openid: XnhdAPI.WxLiteGameAPI.Param.openid,
                                type: 3,
                                total_days_login: Param.shareTemp.total_days_login,
                                today_ad_count: Param.shareTemp.today_ad_count,
                                today_prize_count: Param.shareTemp.today_prize_count,
                                today_share_count: Param.shareTemp.today_share_count,
                                today_push_share: Param.shareTemp.today_push_share,
                                today_cancel_share: Param.shareTemp.today_cancel_share,
                                total_hours_login: Math.floor((Date.now() - Param.shareTemp.firstLogin) / 3600000)
                            });
                            XnhdAPI.logDebug("看视频上传的数据为>>>>" + k);
                            XnhdAPI.WxLiteGameAPI.requestHttp(Param.url_Info.server_url + "api/share_stat.php", function (e) {
                                if (typeof e.todayOtherClick === "number") {
                                    Param.shareTemp.todayOtherClick = e.todayOtherClick;
                                }
                                if (typeof e.share_param === "number") {
                                    Param.shareTemp.share_param = e.share_param;
                                }
                                XnhdAPI.logDebug("看视频上传数据成功，获得的服务器返回为>>>>" + JSON.stringify(e));
                            }, k);
                            successCallback && successCallback();
                            saveRewardData();
                        }
                        else {
                            failCallback && failCallback("sbweixin");
                        }
                        _this._videoAd.offClose();
                        _this._videoPlayTimes++;
                        if (_this._videoPlayTimes === 6) {
                            _this._videoPlayTimes = 0;
                            _this._videoIndex++;
                            _this.initOneVideo();
                        }
                    });
                    this._videoAd.show();
                }
                else {
                    failCallback && failCallback();
                }
            };
            AdManager.Default = new AdManager();
            return AdManager;
        }());
        WxLiteGameAPI.AdManager = AdManager;
        function websocketConnect(url) {
            wx.connectSocket({
                url: url,
                header: {
                    'content-type': 'application/json'
                }
            });
        }
        WxLiteGameAPI.websocketConnect = websocketConnect;
        function websocketMonitorOn(receive, open, close, error) {
            wx.onSocketOpen(open);
            wx.onSocketMessage(receive);
            wx.onSocketError(error);
            wx.onSocketClose(close);
        }
        WxLiteGameAPI.websocketMonitorOn = websocketMonitorOn;
        function websocketSendMessage(command) {
            wx.sendSocketMessage({
                data: command
            });
        }
        WxLiteGameAPI.websocketSendMessage = websocketSendMessage;
        function websocketclose() {
            wx.closeSocket();
        }
        WxLiteGameAPI.websocketclose = websocketclose;
    })(WxLiteGameAPI = XnhdAPI.WxLiteGameAPI || (XnhdAPI.WxLiteGameAPI = {}));
})(XnhdAPI || (XnhdAPI = {}));
//# sourceMappingURL=WxLiteGameAPI.js.map