var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var view;
(function (view) {
    var storeLayer = /** @class */ (function (_super) {
        __extends(storeLayer, _super);
        function storeLayer(parent, closeCallback) {
            var _this = _super.call(this) || this;
            _this._stamp = {
                curId: 0,
                ani: false,
            };
            _this._bg = {
                curId: 0,
                ani: false,
                sampleI: 0,
            };
            _this._stampArr = [];
            _this._bgArr = [];
            _this._bgSample = [];
            _this._bgSampleI = 0;
            _this._guideStep = 0;
            _this.UIAdjust();
            parent.addChild(_this);
            _this.stampBtn.on(Laya.Event.CLICK, _this, _this.pressStampBtn);
            _this.stampLeft.on(Laya.Event.MOUSE_DOWN, _this, _this.pressStampRight);
            _this.stampRight.on(Laya.Event.MOUSE_DOWN, _this, _this.pressStampLeft);
            _this.bgLeft.on(Laya.Event.MOUSE_DOWN, _this, _this.pressBgRight);
            _this.bgRight.on(Laya.Event.MOUSE_DOWN, _this, _this.pressBgLeft);
            _this._stamp.curId = core.Player.Manager.getCurSkin_stamp();
            _this._bg.curId = core.Player.Manager.getCurSkin_bg();
            _this.closeBtn.on(Laya.Event.CLICK, _this, function () {
                if (_this._guideStep === 0) {
                    _this.destroy();
                    closeCallback && closeCallback();
                }
            });
            for (var i = 0; i < core.GameDef.stampParam.length; i++) {
                var a = new stampUnit(_this.effLayer);
                a.init(i);
                if (i === _this._stamp.curId) {
                    a.pos(315, 317);
                }
                else if (i === _this.getLeftId(_this._stamp.curId, true)) {
                    a.alpha = 0.85;
                    a.scale(0.8, 0.8);
                    a.pos(120, 317);
                }
                else if (i === _this.getRightId(_this._stamp.curId, true)) {
                    a.alpha = 0.85;
                    a.scale(0.8, 0.8);
                    a.pos(510, 317);
                }
                else {
                    a.alpha = 0;
                    a.scale(0.8, 0.8);
                    a.pos(315, 317);
                }
                _this._stampArr.push(a);
            }
            for (var i = 0; i < core.GameDef.bgParam.length; i++) {
                var a = new bgUnit(_this.effLayer);
                a.init(i);
                if (i === _this._bg.curId) {
                    a.pos(315, 855);
                }
                else if (i === _this.getLeftId(_this._bg.curId, false)) {
                    a.alpha = 0.85;
                    a.scale(0.8, 0.8);
                    a.pos(112, 855);
                }
                else if (i === _this.getRightId(_this._bg.curId, false)) {
                    a.alpha = 0.85;
                    a.scale(0.8, 0.8);
                    a.pos(518, 855);
                }
                else {
                    a.alpha = 0;
                    a.scale(0.8, 0.8);
                    a.pos(315, 855);
                }
                _this._bgArr.push(a);
            }
            _this.adjustStampBtn();
            _this.adjustBgTips();
            var needGuide = XnhdAPI.readDataFromCache('Guide');
            if (needGuide === 'Guide') {
                _this._guideStep = 1;
                _this.hand.visible = true;
                _this.guideHandAni1();
            }
            return _this;
        }
        storeLayer.prototype.guideHandAni1 = function () {
            var _this = this;
            this.hand.pos(505, 380);
            this.hand.visible && Laya.Tween.to(this.hand, { x: 535, y: 410 }, 500, null, Laya.Handler.create(this, function () {
                _this.hand.visible && Laya.Tween.to(_this.hand, { x: 505, y: 380 }, 500, null, Laya.Handler.create(_this, function () {
                    _this.guideHandAni1();
                }));
            }));
        };
        storeLayer.prototype.guideHandAni2 = function () {
            var _this = this;
            this.hand.pos(420, 525);
            this.hand.visible && Laya.Tween.to(this.hand, { x: 450, y: 555 }, 500, null, Laya.Handler.create(this, function () {
                _this.hand.visible && Laya.Tween.to(_this.hand, { x: 420, y: 525 }, 500, null, Laya.Handler.create(_this, function () {
                    _this.guideHandAni2();
                }));
            }));
        };
        storeLayer.prototype.getLeftId = function (id, isStamp) {
            if (id === 0) {
                return isStamp ? core.GameDef.stampParam.length - 1 : core.GameDef.bgParam.length - 1;
            }
            else {
                return id - 1;
            }
        };
        storeLayer.prototype.getRightId = function (id, isStamp) {
            var m = isStamp ? core.GameDef.stampParam.length - 1 : core.GameDef.bgParam.length - 1;
            if (id === m) {
                return 0;
            }
            else {
                return id + 1;
            }
        };
        storeLayer.prototype.pressStampBtn = function () {
            var _this = this;
            var coinLabel = this.stampBtn.getChildAt(1);
            if (coinLabel.visible && (this._guideStep === 0 || this._guideStep === 2)) {
                var t = core.GameDef.stampParam[this._stamp.curId].param1;
                var l = core.GameDef.localizationConfig;
                var i = core.GameDef.languageIndex;
                if (core.Player.Manager.getCoinNum() > t - 1 || core.GameDef.selfTest) {
                    !core.GameDef.selfTest && core.Player.Manager.adjustCoinNum(-t);
                    core.Player.Manager.unlockSkin_stamp(this._stamp.curId);
                    if (this._guideStep === 2) {
                        this._guideStep = 0;
                        this.hand.visible = false;
                        XnhdAPI.saveDataToCache('Guide', 'GuideFinish');
                    }
                    this.adjustStampBtn();
                }
                else {
                    new view.LackOfGold(this, function () {
                        _this.adjustStampBtn();
                    });
                }
            }
        };
        storeLayer.prototype.adjustStampBtn = function () {
            var a = core.Player.Manager.checkSkin_stamp(this._stamp.curId);
            var l = core.GameDef.localizationConfig.storeLayer;
            var i = core.GameDef.languageIndex;
            var coinLabel = this.stampBtn.getChildAt(0);
            var txt = this.stampBtn.getChildAt(1);
            if (a) {
                coinLabel.visible = false;
                txt.y = 45;
                txt.text = l.Activated[i];
                core.Player.Manager.setCurSkin_stamp(this._stamp.curId);
            }
            else {
                coinLabel.visible = true;
                coinLabel.text = core.GameDef.stampParam[this._stamp.curId].param1.toString();
                txt.y = 65;
                txt.text = l.purchase[i];
            }
            this.coinNum.text = core.Player.Manager.getCoinNum().toString();
        };
        storeLayer.prototype.adjustBgTips = function () {
            var a = core.Player.Manager.checkSkin_bg(this._bg.curId);
            var l = core.GameDef.localizationConfig.storeLayer;
            var i = core.GameDef.languageIndex;
            if (a || core.GameDef.selfTest) {
                this.bgStatusTips.text = l.Activated[i];
                var m = this._bgSample[this._bgSampleI];
                this._bgSampleI = (this._bgSampleI + 1) % 2;
                var n = this._bgSample[this._bgSampleI];
                m.zOrder = 0;
                Laya.Tween.to(m, { alpha: 0 }, 500);
                n.zOrder = 1;
                n.skin = core.GameDef.bgParam[this._bg.curId].url;
                Laya.Tween.to(n, { alpha: 1 }, 500);
                core.Player.Manager.setCurSkin_bg(this._bg.curId);
            }
            else {
                var t = core.GameDef.bgParam[this._bg.curId].param1;
                var t0 = l.unlock[i];
                var d = t0.indexOf('{0}');
                this.bgStatusTips.text = t0.substring(0, d) + t.toString() + t0.substring(d + 3);
            }
        };
        storeLayer.prototype.pressStampLeft = function () {
            var _this = this;
            if (!this._stamp.ani && (this._guideStep === 0 || this._guideStep === 1)) {
                if (this._guideStep === 1) {
                    this._guideStep = 2;
                    Laya.Tween.clearAll(this.hand);
                    this.guideHandAni2();
                }
                this._stamp.ani = true;
                var id_1 = this._stamp.curId;
                var cur_1 = this._stampArr[id_1];
                var left = this._stampArr[this.getLeftId(id_1, true)];
                var right1 = this._stampArr[this.getRightId(id_1, true)];
                var right2 = this._stampArr[this.getRightId(this.getRightId(id_1, true), true)];
                Laya.Tween.to(cur_1, { x: 120, alpha: 0.85, scaleX: 0.8, scaleY: 0.8 }, 500);
                Laya.Tween.to(left, { alpha: 0 }, 500);
                right1.zOrder = 1;
                Laya.Tween.to(right1, { x: 315, alpha: 1, scaleX: 1, scaleY: 1 }, 500);
                right2.x = 510;
                Laya.Tween.to(right2, { alpha: 0.8 }, 500);
                Laya.timer.once(500, this, function () {
                    cur_1.zOrder = 0;
                    _this._stamp.ani = false;
                    _this._stamp.curId = _this.getRightId(id_1, true);
                    _this.adjustStampBtn();
                });
            }
        };
        storeLayer.prototype.pressStampRight = function () {
            var _this = this;
            if (!this._stamp.ani && this._guideStep === 0) {
                this._stamp.ani = true;
                var id_2 = this._stamp.curId;
                var cur_2 = this._stampArr[id_2];
                var right = this._stampArr[this.getRightId(id_2, true)];
                var left1 = this._stampArr[this.getLeftId(id_2, true)];
                var left2 = this._stampArr[this.getLeftId(this.getLeftId(id_2, true), true)];
                Laya.Tween.to(cur_2, { x: 510, alpha: 0.85, scaleX: 0.8, scaleY: 0.8 }, 500);
                Laya.Tween.to(right, { alpha: 0 }, 500);
                left1.zOrder = 1;
                Laya.Tween.to(left1, { x: 315, alpha: 1, scaleX: 1, scaleY: 1 }, 500);
                left2.x = 120;
                Laya.Tween.to(left2, { alpha: 0.8 }, 500);
                Laya.timer.once(500, this, function () {
                    cur_2.zOrder = 0;
                    _this._stamp.ani = false;
                    _this._stamp.curId = _this.getLeftId(id_2, true);
                    _this.adjustStampBtn();
                });
            }
        };
        storeLayer.prototype.pressBgLeft = function () {
            var _this = this;
            if (!this._bg.ani && this._guideStep === 0) {
                this._bg.ani = true;
                var id_3 = this._bg.curId;
                var cur_3 = this._bgArr[id_3];
                var left = this._bgArr[this.getLeftId(id_3, false)];
                var right1 = this._bgArr[this.getRightId(id_3, false)];
                var right2 = this._bgArr[this.getRightId(this.getRightId(id_3, false), false)];
                Laya.Tween.to(cur_3, { x: 112, alpha: 0.85, scaleX: 0.8, scaleY: 0.8 }, 500);
                Laya.Tween.to(left, { alpha: 0 }, 500);
                right1.zOrder = 1;
                Laya.Tween.to(right1, { x: 315, alpha: 1, scaleX: 1, scaleY: 1 }, 500);
                right2.x = 518;
                Laya.Tween.to(right2, { alpha: 0.8 }, 500);
                Laya.timer.once(500, this, function () {
                    cur_3.zOrder = 0;
                    _this._bg.ani = false;
                    _this._bg.curId = _this.getRightId(id_3, false);
                    _this.adjustBgTips();
                });
            }
        };
        storeLayer.prototype.pressBgRight = function () {
            var _this = this;
            if (!this._bg.ani && this._guideStep === 0) {
                this._bg.ani = true;
                var id_4 = this._bg.curId;
                var cur_4 = this._bgArr[id_4];
                var right = this._bgArr[this.getRightId(id_4, false)];
                var left1 = this._bgArr[this.getLeftId(id_4, false)];
                var left2 = this._bgArr[this.getLeftId(this.getLeftId(id_4, false), false)];
                Laya.Tween.to(cur_4, { x: 518, alpha: 0.85, scaleX: 0.8, scaleY: 0.8 }, 500);
                Laya.Tween.to(right, { alpha: 0 }, 500);
                left1.zOrder = 1;
                Laya.Tween.to(left1, { x: 315, alpha: 1, scaleX: 1, scaleY: 1 }, 500);
                left2.x = 112;
                Laya.Tween.to(left2, { alpha: 0.8 }, 500);
                Laya.timer.once(500, this, function () {
                    cur_4.zOrder = 0;
                    _this._bg.ani = false;
                    _this._bg.curId = _this.getLeftId(id_4, false);
                    _this.adjustBgTips();
                });
            }
        };
        storeLayer.prototype.UIAdjust = function () {
            this.bgLayer.height = XnhdAPI.Param.screenHeight;
            this._bgSample = [this.bgLayer.getChildAt(0), this.bgLayer.getChildAt(1)];
            this._bgSample[0].height = this.bgLayer.height;
            this._bgSample[1].height = this.bgLayer.height;
            this.middleZone.y = this.bgLayer.height / 2;
            this.middleZone.getChildAt(0).getChildAt(1).text = core.GameDef.localizationConfig.storeLayer.title[core.GameDef.languageIndex];
        };
        return storeLayer;
    }(ui.Layer.StoreLayerUI));
    view.storeLayer = storeLayer;
    var bgUnit = /** @class */ (function (_super) {
        __extends(bgUnit, _super);
        function bgUnit(parent) {
            var _this = _super.call(this) || this;
            _this.anchorX = 0.5;
            _this.anchorY = 1;
            parent.addChild(_this);
            return _this;
        }
        bgUnit.prototype.init = function (id) {
            this.bgSkin.skin = core.GameDef.bgParam[id].url;
            this.lock.visible = !core.Player.Manager.checkSkin_bg(id);
        };
        return bgUnit;
    }(ui.Comp.store_bgUnitUI));
    var stampUnit = /** @class */ (function (_super) {
        __extends(stampUnit, _super);
        function stampUnit(parent) {
            var _this = _super.call(this) || this;
            _this.anchorX = 0.5;
            _this.anchorY = 1;
            parent.addChild(_this);
            return _this;
        }
        stampUnit.prototype.init = function (id) {
            this.bgSkin.skin = core.GameDef.stampParam[id].url;
        };
        return stampUnit;
    }(ui.Comp.store_stampUnitUI));
})(view || (view = {}));
//# sourceMappingURL=storeLayer.js.map