var view;
(function (view) {
    class renewLayer extends ui.Layer.renewLayerUI {
        constructor(parent, video, closeCallback) {
            super();
            this._videoSwitch = true;
            this.UIAdjust();
            this.videoImg.visible = video;
            this._closeCallback = closeCallback;
            parent.addChild(this);
            let that = this;
            this.useBtn.on(Laya.Event.CLICK, this, () => {
                if (this.videoImg.visible) {
                    if (XnhdAPI.checkVideoAd() === 3) {
                        this._videoSwitch = false;
                        XnhdAPI.showVideoAd("zhadan", () => {
                            console.log("jlog, renewLayer.showVideoAd.succ0", that);
                            that._closeCallback && that._closeCallback(true);
                            that.destroy();
                            console.log("jlog, renewLayer.showVideoAd.succ1");
                        }, f => {
                            console.log("jlog, renewLayer.showVideoAd.fail0");
                            XnhdAPI.showTips(core.GameDef.localizationConfig.finishVideoTips[core.GameDef.languageIndex]);
                            that._videoSwitch = true;
                            console.log("jlog, renewLayer.showVideoAd.fail1");
                        }, f => {
                            console.log("jlog, renewLayer.showVideoAd.noad0");
                            XnhdAPI.showTips(core.GameDef.localizationConfig.noVideoTips[core.GameDef.languageIndex]);
                            that._videoSwitch = true;
                            console.log("jlog, renewLayer.showVideoAd.noad1");
                        });
                    }
                    else {
                        XnhdAPI.showTips(core.GameDef.localizationConfig.noVideoTips[core.GameDef.languageIndex]);
                    }
                }
                else {
                    this._closeCallback && this._closeCallback(true);
                    this.destroy();
                }
            });
            this.giveUpBtn.on(Laya.Event.CLICK, this, () => {
                this._closeCallback && this._closeCallback(false);
                this.destroy();
            });
            this.closeBtn.on(Laya.Event.CLICK, this, () => {
                this._closeCallback && this._closeCallback(false);
                this.destroy();
            });
        }
        UIAdjust() {
            let k = XnhdAPI.Param.screenHeight - 1334; //1624-1334 = 290
            let ratio = k / (1624 - 1334);
            ratio < 0 && (ratio = 0);
            this.blackBg.height = XnhdAPI.Param.screenHeight;
            this.container.y = XnhdAPI.Param.screenHeight / 2;
            let l = core.GameDef.localizationConfig;
            let i = core.GameDef.languageIndex;
            this.tittleTxt.text = l.renewLayer.title[i];
            this.tips.text = l.renewLayer.tips[i];
            this.useBtn.getChildAt(1).text = l.renewLayer.useBtn[i];
            this.giveUpBtn.getChildAt(0).text = l.renewLayer.giveUpBtn[i];
        }
    }
    view.renewLayer = renewLayer;
})(view || (view = {}));
